<?php

class Logger{

	private $file;

	public function __construct($file){
		$this->file = $file;
	}

	public function logAction($action, $message){
		$new = file_exists($this->file) ? false : true;
		if($handle = fopen($this->file, "a")){
			$timestamp = strftime("%Y-%m-%d %H:%M:%S", time());
			$content = "{$timestamp} | {$action}: {$message}\n";
			fwrite($handle, $content);
			fclose($handle);
			if($new){ chmod($this->file, 0755);}
			return true;
		}

		return false;
	}

	public function readLogs(){
		if(file_exists($this->file) && is_readable($this->file) && $handle = fopen($this->file, "r")){
			$output = '<ul class="logEntries">';
			while($line = fgets($handle)){
				if(trim($line) != ""){
					$output .= '<li>'.htmlspecialchars($line).'</li>';
				}
			}

			$output .= '</ul>';
			fclose($handle);
			return $output;
		}

		return false;
	}

	public function clearLogs($clear = false, $username, $redirect){
		if($clear == true){
			file_put_contents($this->file, '');
			$msg = 'by user '.$username;
			$this->logAction('Log Cleared', $msg);
			//redirect to remove the clear parameter from url
			redirect(basename($redirect));
		}
	}
}