<?php

class pagination{
	public $totalRecords;
	public $recordsPerPage;
	public $currentPage;

	public function __construct($totalRecords = 0, $recordsPerPage = 3, $page = 1 ){
		$this->totalRecords = (int)$totalRecords;
		$this->recordsPerPage = (int)$recordsPerPage;
		$this->currentPage = (int)$page;
	}

	public function offset(){
		return (($this->currentPage - 1) * $this->recordsPerPage);
	}

	public function totalPages(){
		return ceil($this->totalRecords/$this->recordsPerPage);
	}
	
	public function previousPage(){
		return ($this->currentPage - 1);
	}

	public function nextPage(){
		return ($this->currentPage + 1);
	}

	public function hasPreviousPage(){
		return $this->previousPage() >= 1 ? true : false; 
	}

	public function hasNextPage(){
		return $this->nextPage() <= $this->totalPages() ? true : false;
	}
}