<?php

class User extends DatabaseQueries {
		public static $tableName = 'users';
		public $id,
		       $first_name,
		       $last_name,
		       $email,
		       $password,
		       $active,
		       $confirm_token,
		       $user_group,
		       $image,
		       $last_seen,
		       $date_joined,
		       $date_modified;

		public function fullName(){
			if(isset($this->first_name) && isset($this->last_name)){
				return  ucwords($this->first_name)." ".ucwords($this->last_name);
			}

			return "";
		}

		public function password_check($password, $existing_pass){
			//password_verify is safe from timing attacks
			return password_verify($password, $existing_pass);
		}

		public function authenticate($email, $password){
			$sql = "SELECT * FROM users WHERE email = :email AND active = 1 LIMIT 1";
			$user = self::findBySQL($sql, ['email' => $email]);
	        if(count($user) == 1){
	        	$user = array_shift($user);
	        	if($this->password_check($password, $user->password)){
	        		return $user;
	        	}
	        }

	        return false;
		}
}