<?php

class Validate{

	private $passed = false,
	        $errors = [],
	        $class;

	public function __construct($class = "", $id = ""){
		$this->class = $class;
		$this->id = $id;
	}

	public function check($source, $items = array()){
		foreach($items as $item => $rules){
			$value = isset($source[$item]) ? trim($source[$item]) : "";
			extract($rules);
			foreach($rules as $rule => $ruleV){
				if($rule === "required" && $required === true && (empty($value) && $value !== "0")){
					$this->errors[$item] = $name." can't be empty";
				}else if(!empty($value)){
					switch($rule){
						case 'validate':
							if($validate == "email" && !filter_var($value, FILTER_VALIDATE_EMAIL)){
								$this->errors[$item] = $name." is not valid format"; 
							}
							if($validate == "phone_no" && !preg_match("/^(\+?(254)7\d{8})|(07\d{8})$/", $value)){
								$this->errors[$item] = $name." is not valid format";
							}
							if($validate == "password" && !preg_match("/^(?=.*[a-zA-Z!@$%\^&{}[\]'~\\:;`_\-=+.,\/*])(?=.*[0-9!@$%\^&{}[\]'~\\:;`_\-=+.,\/*])[a-zA-Z0-9!@$%\^&{}[\]'~\\:;`_\-=+.,\/*]+$/", $value)){
								$this->errors[$item] = $name." should be made of letters and numbers";
							}
							if($validate == "numbers" && !preg_match('/^\d+(\.\d+)?$/', $value)){
								$this->errors[$item] = $name." is not valid format."; 
							}

							if($validate == "boolean" && !in_array($value, ["1", "0"])){
								$this->errors[$item] = $name." is not valid format."; 
							}

							if($validate == "alphanumeric" && !preg_match('/^[\w\d]{10}$/', $value)){
								$this->errors[$item] = $name." is not valid format.";
							}

							if(strpos($validate, "special") === 0){
								$pattern = substr($validate, strpos($validate, " ") + 1, strlen($validate));
								if(!preg_match($pattern, $value)){
									$this->errors[$item] = $name." is not valid format.";
								}

							}
							break;
						case 'max':
							if(strlen($value) > $max){
								$this->errors[$item] = "maximum of {$max} characters";
							}
							break;
						case 'min':
							if(strlen($value) < $min){
								$this->errors[$item] = "minimum of {$min} characters";
							}
							break;
						case 'unique':
						    $table = $this->class::$tableName;
							$sql = "SELECT * FROM {$table} WHERE {$item} = :needle";
							$arr = ['needle' => $value];
							
							if(isset($change) && $change){
								$sql .= " && id != :id";
								$arr['id'] = $this->id;
							}

							$result = $this->class::findBySQL($sql, $arr);
							if(count($result) > 0){
								$this->errors[$item] = "an existing {$name} found, only unique.";
							}
							break;
						case 'matches':
							if($value !== $source[$matches]){
								$this->errors[$item] = "passwords don't match";
							}
							break;
					}

				}
			}
		}

		if(empty($this->errors)){ $this->passed = true;}
	}

	public function passed(){ return $this->passed; }
	public function errors(){ return $this->errors; }

}