<?php 
require_once "../includes/init.php";
$sql = "SELECT * FROM images WHERE location = :type AND order_img = :order LIMIT 1";
$companyImg = Images::findBySQL($sql, ["type" => "company", "order" => 1]);
$companyImg = array_shift($companyImg);
$expertises = Expertise::findAll();
$posts = Post::findAll("DESC");
$sql = "SELECT * FROM testimony ORDER BY id DESC LIMIT 1";
$testimony = Testimony::findBySQL($sql);
$testimony = array_shift($testimony);
$users = User::findAll();
?>
<?php require_once "layout/header.php"; ?>
<section id="inner-headline">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<h2 class="pageTitle">About Us</h2>
			</div>
		</div>
	</div>
</section>
<section id="content">
	<section class="section-padding">
		<div class="container">
			<div class="row showcase-section">
				<div class="col-md-6">
					<img class="img-responsive" src="<?php echo htmlentities(getImgs($companyImg->id, "img/company/", "max"));?>" alt="<?php echo htmlentities($companyImg->filename); ?>">
				</div>
				<div class="col-md-6">
					<div class="about-text">
						<h3><span class="color">Our Company</span></h3>
						<?php echo strip_tags($site->about_us, tagsAllowed()); ?>
					</div>
				</div>
			</div>
		</div>
	</section>
	<div class="container">	
		<div class="about">	
			<div class="row">
				<div class="col-md-6">
					<div class="block-heading-two">
						<h3><span>Why Choose Us?</span></h3>
					</div>
					<?php echo strip_tags($site->why_choose_us, tagsAllowed()); ?>
					</div>
					<div class="col-md-6">
						<div class="block-heading-two">
							<h3><span>Our Expertise</span></h3>
						</div>								
						<h6><?php echo htmlentities($expertises[0]->name); ?></h6>
						<div class="progress pb-sm">
							<div class="progress-bar progress-bar-red" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo htmlentities($expertises[0]->percentage);?>%">
								 <span class="sr-only"><?php echo htmlentities($expertises[0]->percentage);?>% Complete (success)</span>
							</div>
						</div>
						<h6><?php echo htmlentities($expertises[1]->name); ?></h6>
						<div class="progress pb-sm">
							<div class="progress-bar progress-bar-green" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo htmlentities($expertises[1]->percentage);?>%">
								<span class="sr-only"><?php echo htmlentities($expertises[1]->percentage);?>% Complete (success)</span>
							</div>
						</div>
						<h6><?php echo htmlentities($expertises[2]->name); ?></h6>
						<div class="progress pb-sm">
							<div class="progress-bar progress-bar-lblue" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo htmlentities($expertises[2]->percentage);?>%">
								<span class="sr-only"><?php echo htmlentities($expertises[2]->percentage);?>% Complete (success)</span>
							</div>
						</div>
						<h6><?php echo htmlentities($expertises[3]->name); ?></h6>
						<div class="progress pb-sm">
							<div class="progress-bar progress-bar-yellow" role="progressbar" aria-valuenow="30" aria-valuemin="0" aria-valuemax="100" style="width: <?php echo htmlentities($expertises[3]->percentage);?>%">
								<span class="sr-only"><?php echo htmlentities($expertises[3]->percentage);?>% Complete (success)</span>
							</div>
						</div>
					</div>	
				</div>								
			<div class="about home-about">
				<div class="container">
					<div class="row">
						<div class="col-md-6">
							<div class="block-heading-two">
								<h3><span>Latest Posts</span></h3>
							</div>		
  						<ul class="collapsible" id="accordionSection" data-collapsible="accordion">
							<li>
	  							<div class="collapsible-header HillSide">
	  								<i class="material-icons">filter_drama</i><?php echo htmlentities($posts[2]->title ?? ""); ?>
	  							</div>
	  							<div class="collapsible-body">
								  	<p>
								  		<a href="<?php echo PUBLIC_FOLDER."post/".$posts[2]->id;?>">
								  			<?php echo substr(strip_tags($posts[2]->body), 0, 250)."...." ?? ""; ?>
								  		</a>
								  	</p>
	  							</div>
							</li>
							<li>
	  							<div class="collapsible-header">
	  								<i class="material-icons">place</i><?php echo htmlentities($posts[1]->title ?? ""); ?>
	  							</div>
	  							<div class="collapsible-body">
								  	<p>
								  		<a href="<?php echo PUBLIC_FOLDER."post/".$posts[1]->id;?>">
								  			<?php echo substr(strip_tags($posts[1]->body), 0, 250)."...." ?? ""; ?>
								  		</a>
								  	</p>
	  							</div>
							</li>
							<li>
	  							<div class="collapsible-header">
	  								<i class="material-icons">whatshot</i><?php echo htmlentities($posts[0]->title ?? ""); ?>
	  							</div>
	  							<div class="collapsible-body">
								  	<p>
								  		<a href="<?php echo PUBLIC_FOLDER."post/".$posts[0]->id;?>">
								  			<?php echo substr(strip_tags($posts[0]->body), 0, 250)."...." ?? ""; ?>
								  		</a>
								  	</p>
	  							</div>
							</li>
  						</ul>	
					</div>
				<div class="col-md-6">
					<div class="block-heading-two">
						<h3><span>Testimonials</span></h3>
					</div>	
		 			<div class="testimonials">
						<div class="HillSide item">
			  				<blockquote><p><?php echo htmlentities(strip_tags($testimony->message) ?? ""); ?></p></blockquote>
			  				<div class="carousel-info">
								<img alt="testimony person" src="<?php echo htmlentities(getImgs($testimony->image_id, "img/testimony/", "min")); ?>" class="pull-left">
								<div class="pull-left">
				  					<span class="testimonials-name"><?php echo htmlentities($testimony->first_name." ".$testimony->last_name); ?></span>
				  					<span class="testimonials-post"><?php echo htmlentities(strip_tags($testimony->career) ?? ""); ?></span>
								</div>
			  				</div>
						</div>
					</div>
				</div>
			</div>				
			<br> 
		</div> 
	</div>						 
	<br>
	<div class="block-heading-six">
		<h4 class="bg-color">Our Team</h4>
	</div>
	<br>
	<div class="team-six">
		<div class="row center-block">
			<?php if(!empty($users)){?>
				<?php foreach($users as $user){?>
					<?php if(priviledged($user) !== "weak"){?>
						<div class="col-md-3 col-sm-6">
							<!-- Team Member -->
							<div class="team-member">
								<!-- Image -->
								<img class="img-responsive" src="<?php echo htmlentities(getProfilePicture($user, 'img/users/', $size = "max")); ?>" alt="<?php echo htmlentities($user->fullName()); ?>">
								<!-- Name -->
								<h4><?php echo htmlentities($user->fullName()); ?></h4>
								<!-- <span class="deg">Master</span>  -->
							</div>
						</div>
					<?php } ?>
				<?php } ?>
			<?php } ?>
		</div>
	</div>	  	
</section>
<?php require_once "layout/footer.php"; ?>