<?php
require_once "../includes/init.php";
if(!isAjaxRequest()){ redirect("/"); }
if(!isset($_POST['email']) || !isset($_POST['hash']) || !isset($_POST['token']) || 
	!isset($_POST['reset_pass']) || !isset($_POST['confirm_pass'])){ 
	echo json_encode(['result' => 'failed', 'msg' => 'process failed, try again.']);
	exit;
}

if($_SESSION['resetPass'] === $_POST['token'] && $session->tokenIsValid('resetPass', 'resetPassTimer')){
	$fields = array(
		'email' => array(
			'name' => 'email',
			'required' => true,
			'validate' => 'email'
		),
		'hash' => array(
			'name' => 'token',
			'required' => true,
			'min' => 95,
			'max' => 95
		),
		'reset_pass' => array(
			'name' => 'password',
			'required' => true,
			'validate' => 'password',
			'min' => 8
		),
		'confirm_pass' => array(
			'name' => 'confirm password',
			'required' => true,
			'matches' => 'reset_pass'
		)
	);

	$validate = new Validate();
	$validate->check($_POST, $fields);
	$errors = $validate->errors();
	if(empty($errors)){
		$sql = "SELECT * FROM users WHERE email = :email AND confirm_token = :token AND active = '1' LIMIT 1";
		$user = User::findBySQL($sql, ['email' => $_POST['email'], 'token' => $_POST['hash']]);
		if(count($user) == 1){
			$user = array_shift($user);
			$dateModified = strtotime($user->date_modified);
			if(!(($dateModified + (60*60)) > time())){
				echo json_encode(['result' => 'failed', 'msg' => 'password change failed, try again.']);
				exit;
			}else{
				$user->confirm_token = "";
				$user->password = $hash->encrypter($_POST['reset_pass']);
				$user->date_modified = strftime("%Y-%m-%d %H:%M:%S", time());
				if($user->save()){
					$session->logIn($user);
					$msg = "Password was reset & Successfully logged in";
					$session->message($msg);
					echo json_encode(['result' => 'success']);
					exit;
				}else{
					echo json_encode(['result' => 'failed', 'msg' => 'process failed, try again.']);
					exit;
				}
			}
		}
	}else{
		echo json_encode(['result' => 'failed', 'errors'=> $errors]);
		exit;
	}
}else{
	$msg = "process failed, try again.";
	$session->message($msg);
	echo json_encode(['result' => 'failed', 'refresh' => true]);
}