<?php
require_once "../includes/init.php";
require_once "layout/header.php";
$site = Site::findById(1);

if(isset($_POST['contact']) && $_SESSION['contactToken'] == $_POST['token'] && 
	$session->tokenIsValid('contactToken', 'contactTimer')){
		$fields = array(
		'name' => array(
			'name' => 'name',
			'required' => true,
			'max' => 60,
			'min' => 2
		),
		'phone' => array(
			'name' => 'phone number',
			'required' => true,
			'validate' => 'phone_no'
		),
		'email' => array(
			'name' => 'email',
			'required' => true,
			'validate' => 'email'
		),
		'message' => array(
			'name' => 'message',
			'required' => true,
			'max' => 1000,
			'min' => 15
		)
	);

	$validate = new Validate();
	$validate->check($_POST, $fields);
	$errors = $validate->errors();
    
    $msg = '<div class="error-msg" role="alert">';
	$msg .= 'Message failed, try again!';
	$msg .=	'</div>';

	if(empty($errors)){
		$message = new Message();
		$message->name = trim($_POST['name']);
		$message->email = trim($_POST['email']);
		$message->phone = trim($_POST['phone']);
		$message->message = trim($_POST['message']);
		$message->seen = 0;
		$message->date_created = strftime("%Y-%m-%d %H:%M:%S");
		if($message->save()){
			$msg = '<div class="success-msg" role="alert">';
			$msg .= 'Message was successful sent.';
			$msg .=	'</div>';
			$_POST = [];
		}
	}
}

?>
<section id="inner-headline">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<h2 class="pageTitle">Contact Us</h2>
			</div>
		</div>
	</div>
</section>
<section id="content">
	<div class="container">
		<div class="row"> 
			<div class="col-md-12">
				<div class="about-logo">
					<h3><span class="color">Get in Touch</span></h3>
					<?php echo strip_tags($site ->contact_us_intro, tagsAllowed()); ?>
				</div>  
			</div>
		</div>
		<div class="row">
			<div class="col-md-6"> 
				<div class="msg"><?php echo $msg ?? ""; ?></div> 
				<br>	
	        	<form name="sentMessage" id="contactForm" method="POST">
					<div class="form-group">
						<div id="err-name" class="error-msg"><?php echo htmlspecialchars($errors['name'] ?? "");?></div>
						<label for="name" class="">Name:</label>
						<input type="text" name="name" class="form-control <?php echo inputErrCheck($errors['name'] ?? ""); ?>" id="name" value="<?php echo $_POST['name'] ?? ''?>"> 
		         	</div> 	
	                <div class="form-group"> 
	                	<div id="err-email" class="error-msg"><?php echo htmlspecialchars($errors['email'] ?? "");?></div>
	                	<label for="email" class="">Email</label>
						<input type="text" class="form-control  <?php echo inputErrCheck($errors['email'] ?? ""); ?>" id="email" name="email" value="<?php echo $_POST['email'] ?? ''?>">  
		    		</div>
		    		<div class="form-group">
		    			<div id="err-email" class="error-msg"><?php echo htmlspecialchars($errors['phone'] ?? "");?></div>
	                	<label for="phone" class="">Phone</label>
						<input type="text" class="form-control <?php echo inputErrCheck($errors['phone'] ?? ""); ?>" id="phone" name="phone" value="<?php echo $_POST['phone'] ?? ''?>">  
		    		</div> 	
	            	<div class="form-group"> 
	            		<div id="err-email" class="error-msg"><?php echo htmlspecialchars($errors['message'] ?? "");?></div>
	            		<label for="name" class="">Message</label>
						<textarea rows="10" cols="100" class="form-control materialize-textarea <?php echo inputErrCheck($errors['message'] ?? ""); ?>" style="resize:none" name="message"><?php echo $_POST['message'] ?? ''?></textarea> 
			  		</div>
			  		<div class="form-group text-center">
						<input type="hidden" id="contact-token" name="token" value="<?php echo  $session->createToken('contactToken', 'contactTimer'); ?>">
		    			<button type="submit" name="contact" value="true" class="btn btn-primary waves-effect waves-dark pull-right">Send</button><br />
					</div>
	         	</form>
			</div>
			<br><br>
			<div class="col-md-6">
				<div id="my-map" style="height:500px;width:100%;"></div>
			</div>
		</div>
	</div>
</section>
<?php require_once "layout/footer.php"; ?>