<?php
require_once "../includes/init.php";
require_once "layout/header.php";
$sql = "SELECT * FROM images WHERE location = :type AND order_img = :order LIMIT 1";
$teamImg = Images::findBySQL($sql, ["type" => "team", "order" => 1]);
$teamImg = array_shift($teamImg);
$projects = Project::findAll("DESC");
$amenities = Amenity::findAll();

?>
<section id="banner">
	<!-- Slider -->
	<div id="demo-1" data-zs-src='<?php echo htmlentities(sliders4HTML()); ?>' data-zs-overlay="dots">
		<div class="demo-inner-content">
			<h1>
				<span>
					<?php echo htmlentities(strtoupper($site->website_name)); ?>
				</span>
			</h1><br/>
			<p><?php echo htmlentities($site->motto); ?></p>
		</div>
	</div>
	<!-- end slider --> 
</section>  
<section class="projects">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<div class="aligncenter"><h2 class="aligncenter">Our Featured Products</h2>
					<?php echo strip_tags($site->featured_projects_intro, tagsAllowed()); ?>
				</div>
				<br/>
			</div>
		</div>
	<div class="row service-v1 margin-bottom-40">
		<?php 
	
		foreach($projects as $key => $project){ 
			if($key >= 3){ break; }
			$sql = "SELECT * FROM images WHERE project_id = :pid AND order_img = :order LIMIT 1";
			$img = Images::findBySQL($sql, ["pid" => $project->id, "order" => 1]);
			$img = array_shift($img);
		?>
        <div class="col-md-4 md-margin-bottom-40">
			<div class="card small">
                <div class="card-image">
                     <img class="img-responsive" src="<?php echo htmlentities(getImgs($img->id, 'img/projects/', 'min')); ?>" alt="<?php echo htmlentities($img->filename); ?>"> 
                </div>
                <div class="card-content"> 
                    <p>
                        <span class="price"><?php echo htmlentities(number_format($project->price, 2)); ?> ksh</span>
						<h4><?php echo htmlentities($project->name); ?></h4>
						<h5><?php echo htmlentities($project->location); ?></h5>
						<a href="project/<?php echo $project->id; ?>" class="btn btn-default">Details</a>
                    </p>
                </div>
            </div>        
        </div> 
    <?php } ?>
	</div>
</section>
<section id="content"> 
	<div class="container">
		<section class="services">
			<div class="row">
				<div class="col-md-12">
					<div class="aligncenter">
						<h2 class="aligncenter">Amenities</h2>
						<?php echo strip_tags($site->amenities_intro, tagsAllowed()); ?>
					</div>
					<br/>
				</div>
			</div>
			<?php if(!empty($amenities)){ $amenitiesLen = count($amenities); ?>
				<?php if($amenitiesLen < 3){?>
					<div class="row">
						<?php foreach($amenities as $amenity){?>
							<div class="col-sm-4 info-blocks"> 
								<?php echo strip_tags($amenity->icon, "<i>"); ?>
						        <div class="info-blocks-in">
						            <h3><?php echo htmlentities($amenity->name); ?></h3>
						            <p><?php echo htmlentities($amenity->description); ?></p>
						        </div>
						    </div>
						<?php } ?>
					</div>
				<?php } else if($amenitiesLen % 3 === 0){ ?>
					<?php foreach($amenities as $key => $amenity){?>
						<?php if(($key + 1) % 3  === 0){?>
							<div class="row">
							    <div class="col-sm-4 info-blocks"> 
									<?php echo strip_tags($amenities[(($key + 1)- 3)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1)-3)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)- 3)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 2)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 2)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)-2)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 1)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 1)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1) - 1)]->description); ?></p>
							        </div>
							    </div>
							</div>
						<?php } ?>
					<?php } ?>
				<?php } else { $amenitiesRem = $amenitiesLen % 3; $counted = $amenitiesLen - $amenitiesRem; ?>
					<?php foreach($amenities as $key => $amenity){?>
						<?php if(($key + 1) % 3  === 0){?>
							<div class="row">
							    <div class="col-sm-4 info-blocks"> 
									<?php echo strip_tags($amenities[(($key + 1)- 3)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1)-3)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)- 3)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 2)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 2)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)-2)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 1)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 1)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1) - 1)]->description); ?></p>
							        </div>
							    </div>
							</div>
						<?php } ?>
					<?php } ?>
					<div class="row">
					<?php for($i = $counted; $i < $amenitiesLen; $i++){ ?>
						<div class="col-sm-4 info-blocks"> 
							<?php echo strip_tags($amenities[$i]->icon, "<i>"); ?>
					        <div class="info-blocks-in">
					            <h3><?php echo htmlentities($amenities[$i]->name); ?></h3>
					            <p><?php echo htmlentities($amenities[$i]->description); ?></p>
					        </div>
					    </div>
					<?php } ?>
					</div>
				<?php } ?>
			<?php }?>
		</section>
	</div>
</section>
<section class="section-padding gray-bg">
	<div class="container">
		<div class="row">
			<div class="col-md-12">
				<div class="section-title text-center">
					<h2 id="our_team">Our Team</h2>
					<?php echo strip_tags($site->team_intro, tagsAllowed()); ?>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6 col-sm-6">
				<div class="about-image">
					<img src="<?php echo htmlentities(getImgs($teamImg->id, "img/team/", "max"));?>" alt="<?php echo htmlentities($teamImg->filename); ?>">
				</div>
			</div>
			<div class="col-md-6 col-sm-6">
				<div class="about-text">
				<h3>About Us</h3>
					<p><?php echo substr(strip_tags($site->about_us), 0, 350); ?>...</p>
					<a href="<?php echo PUBLIC_FOLDER; ?>about" class="btn btn-primary waves-effect waves-dark">Learn More</a>
				</div>
			</div>
		</div>
	</div>
	<!DOCTYPE html>
<html>
<head>
<style>
* {
  box-sizing: border-box;
  
  
}
.center {
  margin: auto;
  width: 100%;
  background-color: #00FF00;
  padding: 10px;

}


.column {
  float: left;
  width: 23.33%;
  padding: 5px;
}

.row::after {
  content: "";
  clear: both;
  display: table;
}


@media screen and (max-width: 500px) {
  .column {
    width: 100%;
  }
  .center {
  margin: auto;
  width: 100%;
  background-color: #FFFFFF;
  padding: 10px;

}

}
</style>
<h2 style="text-align:center">OUR BUSINESS PARTNERS</h2>
</head>

<body>

<div class="center">


<div class="row">
  <div class="column">
   <a href="https://www.doublemadvocates.africa/">
    <img src="./img/doublem.png" alt="Doublemadvocates" style="width:70%","">
  </div>
    <div class="column">
   <a href="https://www.smartlandsurveying.co.ke/">
    <img src="./img/smart.png" alt="Smartland" style="width:120%">
  </div>
  <div class="column">
   <a href="https://www.gatericontractors.com/">
    <img src="./img/gateri1.png" alt="Gatericontractors" style="width:100%">
  </div>
    <div class="column">
	 <a href="https://www.timelycoders.com/">
    <img src="./img/tc.png" alt="timelycoders" style="width:130%">
  </div>
</a>
</div>
</style>
</body>
</html>


</section>	  
<?php require_once "layout/footer.php"; ?>