<?php 
require_once "../../includes/init.php";
$user = dashboardPriviledged($session);

$msg = '<div class="alert alert-danger alert-dismissible fade show text-center" role="alert">';
$msg .=	'Unable to add amenity, try again!';
$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
$msg .= '<span aria-hidden="true">&times;</span>';
$msg .= '</button>';
$msg .=	'</div>';

if(isset($_POST['add']) && $_POST['token'] === $_SESSION['addAmenitiesToken'] && $session->tokenIsValid('addAmenitiesToken', 'addAmenitiesTimer')){
	
		$fields = array(
			'icon' => array(
				'name' => 'icon',
				'required' => true,
				'max' => 100,
				'min' => 3
			),
			'name' => array(
				'name' => 'name',
				'required' => true,
				'unique' => true,
				'max' => 100,
				'min' => 2
			),
			'description' => array(
				'name' => 'description',
				'required' => true,
				'max' => 255,
				'min' => 3
			)
		);

	$validate = new Validate('Amenity');
	$validate->check($_POST, $fields);
	$errors = $validate->errors();

	if(empty($errors)){
		$amenity = new Amenity();
		$amenity->icon = $_POST['icon'];
		$amenity->name = $_POST['name'];
		$amenity->description = $_POST['description'];
		
		if($amenity->save()){
			$msg = "Amenity was added successful.";
			$session->message($msg);
			echo json_encode(['result' => 'success']);
			exit;
		}else{
			echo json_encode(["result" => "failed", "msg" => $msg]);
			exit;
		}

	}else{
		echo json_encode(["result" => "failed", "msg" => $errors]);
		exit;
	}


} else{
	echo json_encode(["result" => "failed", "msg" => $msg]);
	exit;
}
