<?php
require_once "../../includes/init.php";

if(!isAjaxRequest()){ redirect(PUBLIC_FOLDER); }
$user = dashboardPriviledged($session);

if(isset($_POST['delete']) && $_POST['delete'] == true && ctype_digit($_POST['id']) && trim($_POST['id']) !== "0"
	&& $session->tokenIsValid('uploadImgsToken', 'uploadImgsTimer') && $_SESSION['uploadImgsToken'] == $_POST['token']){

	try{

		$img = Images::findById($_POST['id']);

		if(!is_object($img)){
			echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
			exit;
		}



		$sqlArr = ["type" => $img->location];
		$sql = "SELECT * FROM images WHERE location = :type";

		if($img->project_id != 0){
			$sql .= " AND project_id = :pid";
			$sqlArr["pid"] = $img->project_id;
		}

				
		$siblings = Images::findBySQL($sql, $sqlArr);

		if(empty($siblings)){
			echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
			exit;
		} else if(count($siblings) == 1){
			echo json_encode(['result' => "failed", "msg" => "Please add a photo in the same category in order to delete the choosen one."]);
			exit;
		}

		$img->destroy("../img/".$img->location."/".$img->filename);

		$sql = "SELECT * FROM images WHERE location = :type";
		$sqlArr = ["type" => $img->location];

		if($img->project_id != 0){
			$sql .= " AND project_id = :pid";
			$sqlArr["pid"] = $img->project_id;
		}

		$siblings = Images::findBySQL($sql, $sqlArr);
		$sortArr = [];

		foreach ($siblings as $sibling) {
			$sortArr[$sibling->order_img] = $sibling;
		}

		ksort($sortArr);
		$count = 0;

		foreach ($sortArr as $obj) {
			$count += 1;
			$obj->order_img = $count;
			$obj->save();
		}	

		$session->message("Image was successfully deleted!");
		echo json_encode(['result' => "success", "msg" => "Image was successfully deleted!"]);
		exit;
	}catch(Exception $e) {
		echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
		exit;
	}

}else{
	echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
	exit;
}