<?php 
require_once "../../includes/init.php";
$user = dashboardPriviledged($session);
$max = Images::convertToBytes(ini_get('upload_max_filesize'));
$sql = "SELECT * FROM images WHERE location = :type ORDER BY order_img ASC";
$logos = Images::findBySQL($sql, ["type" => "logo"]);
$sliders = Images::findBySQL($sql, ["type" => "slider"]);
$watermarks = Images::findBySQL($sql, ["type" => "watermark"]);
$teams = Images::findBySQL($sql, ["type" => "team"]);
$companies = Images::findBySQL($sql, ["type" => "company"]);

?>
<?php 
require_once "../layout/admin_header.php";
require_once "../layout/panel_header.php"; 
?>

<div class="container">
	<div id="lg-pic-modal" class="pic-modal">
		<span class="img-close">&times;</span>
		<img class="pic-modal-content" id="lg-pic">
		<div id="pic-caption" class="caption d-none"></div>
		<div id="upload-pic-details" class="d-none text-center mt-3">
			<small id="img-info" class="form-text text-muted">
			  Choose the photo group
			</small>
			<div class="form-group">
				<div class="form-check form-check-inline">
					<input class="form-check-input" type="radio" name="photo-group" id="watermark-option" value="watermark">
					<label class="form-check-label" for="watermark-option">Watermark</label>
				</div>
				<div class="form-check form-check-inline">
					<input class="form-check-input" type="radio" name="photo-group" id="logo-option" value="logo">
					<label class="form-check-label" for="logo-option">Logo</label>
				</div>
				<div class="form-check form-check-inline">
					<input class="form-check-input" type="radio" name="photo-group" id="slider-option" value="slider">
					<label class="form-check-label" for="slider-option">Slider</label>
				</div>
				<div class="form-check form-check-inline">
					<input class="form-check-input" type="radio" name="photo-group" id="team-option" value="team">
					<label class="form-check-label" for="team-option">Team</label>
				</div>
				<div class="form-check form-check-inline">
					<input class="form-check-input" type="radio" name="photo-group" id="company-option" value="company">
					<label class="form-check-label" for="company-option">Company</label>
				</div>
			</div>
			<div id="showPercent"></div>
			<div id="showProgress"></div>
			<button id="uploadPicBtn" class="btn btn-primary">UPLOAD</button>
		</div>
	</div>
	<div class="container-fluid">
		<div class="mt-3 img-errors"></div>
		<div class="mt-3 text-right">
			<input type="hidden" id="upload-imgs-token" name="upload-imgs-token" value="<?php echo $session->createToken('uploadImgsToken', 'uploadImgsTimer'); ?>">
			<input id="maxFileSize" type="hidden" name="MAX_FILE_SIZE" value="<?php echo htmlentities($max); ?>">
			<input type="file" accept="image/*" id="upload-imgs" name="upload-imgs" data-maxPostFiles="<?php echo htmlentities($max);?> " class="upload-imgs">
			<label for="upload-imgs"><i class="fa fa-upload btn btn-primary" aria-hidden="true"></i></label>
		</div>
		<div  id="imgs-container" class="accordion mt-3">
			<div class="card bg-light">
				<div class="card-header" id="logo-photos-heading">
					<h3 class="mb-0">
						<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#logo-photos" aria-expanded="true" aria-controls="logo-photos">
				          LOGO
				        </button>
				    </h3>
				</div>
				<div id="logo-photos" class="collapse" aria-labelledby="logo-photos-heading" data-parent="#imgs-container">
					<div class="row card-body" data-count="<?php echo count($logos); ?>">
						<?php foreach($logos as $logo){?>
						<div class="col-lg-3 col-md-4 col-xs-6 thumb">
			                <a class="logo-imgs thumbnail" href="#" data-image-id="" data-toggle="modal" data-title="<?php echo htmlentities($logo->filename); ?>"
			                   data-image="<?php echo htmlentities(getImgs($logo->id, "../img/logo/", $key = "max")); ?>"
			                   data-target="#image-gallery" data-num="<?php echo $logo->order_img; ?>"
			                   data-image-reg="<?php echo $logo->id; ?>">
			                    <img class="img-thumbnail" src="<?php echo htmlentities(getImgs($logo->id, "../img/logo/", $key = "min")); ?>" alt="<?php echo htmlentities($logo->filename); ?>">
			                </a>
			            </div>
			            <?php } ?>
					</div>
				</div>
			</div>
			<div class="card bg-light">
				<div class="card-header" id="logo-photos-heading">
					<h3 class="mb-0">
						<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#watermark-photos" aria-expanded="true" aria-controls="watermark-photos">
				          WATERMARK
				        </button>
				    </h3>
				</div>
				<div id="watermark-photos" class="collapse" aria-labelledby="watermark-photos-heading" data-parent="#imgs-container">
					<div class="row card-body" data-count="<?php echo count($watermarks); ?>">
						<?php foreach($watermarks as $watermark){?>
						<div class="col-lg-3 col-md-4 col-xs-6 thumb">
			                <a class="watermark-imgs thumbnail" href="#" data-image-id="" data-toggle="modal" data-title="<?php echo htmlentities($watermark->filename); ?>"
			                   data-image="<?php echo htmlentities(getImgs($watermark->id, "../img/watermark/", $key = "max")); ?>"
			                   data-target="#image-gallery" data-num="<?php echo $watermark->order_img; ?>"
			                   data-image-reg="<?php echo $watermark->id; ?>" >
			                    <img class="img-thumbnail" src="<?php echo htmlentities(getImgs($watermark->id, "../img/watermark/", $key = "min")); ?>" alt="<?php echo htmlentities($watermark->filename); ?>">
			                </a>
			            </div>
			            <?php } ?>
					</div>
				</div>
			</div>
			<div class="card bg-light">
				<div class="card-header" id="slider-photos-heading">
					<h3 class="mb-0">
						<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#slider-photos" aria-expanded="true" aria-controls="slider-photos">
				          SLIDERS
				        </button>
				    </h3>
				</div>
				<div id="slider-photos" class="collapse show" aria-labelledby="slider-photos-heading" data-parent="#imgs-container">
					<div class="row card-body" data-count="<?php echo count($sliders); ?>">
						<?php foreach($sliders as $slider){?>
						<div class="col-lg-3 col-md-4 col-xs-6 thumb">
			                <a class="slider-imgs thumbnail" href="#" data-image-id="" data-toggle="modal" data-title="<?php echo htmlentities($slider->filename); ?>"
			                   data-image="<?php echo htmlentities(getImgs($slider->id, "../img/slider/", $key = "max")); ?>"
			                   data-target="#image-gallery" data-num="<?php echo $slider->order_img; ?>"
			                   data-image-reg="<?php echo $slider->id; ?>" >
			                    <img class="img-thumbnail" src="<?php echo htmlentities(getImgs($slider->id, "../img/slider/", $key = "min")); ?>" alt="<?php echo htmlentities($slider->filename); ?>">
			                </a>
			            </div>
			            <?php } ?>
			        </div>
				</div>
        	</div>
        	<div class="card bg-light">
				<div class="card-header" id="team-photos-heading">
					<h3 class="mb-0">
						<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#team-photos" aria-expanded="true" aria-controls="team-photos">
				          TEAM
				        </button>
				    </h3>
				</div>
				<div id="team-photos" class="collapse" aria-labelledby="team-photos-heading" data-parent="#imgs-container">
					<div class="row card-body" data-count="<?php echo count($teams); ?>">
						<?php foreach($teams as $team){?>
						<div class="col-lg-3 col-md-4 col-xs-6 thumb">
			                <a class="team-imgs thumbnail" href="#" data-image-id="" data-toggle="modal" data-title="<?php echo htmlentities($team->filename); ?>"
			                   data-image="<?php echo htmlentities(getImgs($team->id, "../img/team/", $key = "max")); ?>"
			                   data-target="#image-gallery" data-num="<?php echo $team->order_img; ?>" 
			                   data-image-reg="<?php echo $team->id; ?>" >
			                    <img class="img-thumbnail" src="<?php echo htmlentities(getImgs($team->id, "../img/team/", $key = "min")); ?>" alt="<?php echo htmlentities($team->filename); ?>">
			                </a>
			            </div>
			            <?php } ?>
			        </div>
				</div>
        	</div>
        	<div class="card bg-light">
				<div class="card-header" id="company-photos-heading">
					<h3 class="mb-0">
						<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#company-photos" aria-expanded="true" aria-controls="company-photos">
				          COMPANY
				        </button>
				    </h3>
				</div>
				<div id="company-photos" class="collapse" aria-labelledby="company-photos-heading" data-parent="#imgs-container">
					<div class="row card-body" data-count="<?php echo count($companies); ?>">
						<?php foreach($companies as $company){?>
						<div class="col-lg-3 col-md-4 col-xs-6 thumb">
			                <a class="company-imgs thumbnail" href="#" data-image-id="" data-toggle="modal" data-title="<?php echo htmlentities($company->filename); ?>"
			                   data-image="<?php echo htmlentities(getImgs($company->id, "../img/company/", $key = "max")); ?>"
			                   data-target="#image-gallery" data-num="<?php echo $company->order_img; ?>" 
			                   data-image-reg="<?php echo $company->id; ?>" >
			                    <img class="img-thumbnail" src="<?php echo htmlentities(getImgs($company->id, "../img/company/", $key = "min")); ?>" alt="<?php echo htmlentities($company->filename); ?>">
			                </a>
			            </div>
			            <?php } ?>
			        </div>
				</div>
        	</div>
	        <div class="modal fade" id="image-gallery" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	            <div class="modal-dialog modal-lg">
	                <div class="modal-content">
	                    <div class="modal-header">
	                        <h4 class="modal-title" id="image-gallery-title"></h4>
                        	<button type="button" id="image-gallery-close" class="close" data-dismiss="modal">
	                        	<span aria-hidden="true">×</span>
	                        	<span class="sr-only">Close</span>
	                        </button>
	                        <div class="ml-3">
	                        	<select class="form-control-sm" id="image-gallery-count" data-current-reg=""></select>
	                        </div>
	                        <div class="delete-imgs ml-3 text-danger">
	                        	<a href=""><i class="fa fa-trash-o"></i></a>
	                        </div>
	                    </div>
	                    <div class="modal-body text-center">
	                        <img id="image-gallery-image" class="img-responsive col-md-10" src="">
	                    </div>
	                    <div class="modal-footer">
	                        <button type="button" class="btn btn-secondary float-left" id="show-previous-image"><i class="fa fa-arrow-left"></i>
	                        </button>

	                        <button type="button" id="show-next-image" class="btn btn-secondary float-right"><i class="fa fa-arrow-right"></i>
	                        </button>
	                    </div>
	                </div>
	            </div>
	        </div>
		</div>
	</div>
</div>
<?php 
require_once "../layout/admin_footer.php";
require_once "../layout/panel_footer.php"; 
?>
