<?php
require_once "../../includes/init.php";
if(!isAjaxRequest()){ redirect(PUBLIC_FOLDER); }
$user = dashboardPriviledged($session);

if(isset($_POST['user']) && ctype_digit($_POST['user']) && $_POST['user'] !== 0 && 
	isset($_POST['token']) && $_SESSION['addUserToken'] === $_POST['token'] && 
	$session->tokenIsValid('addUserToken', 'addUserTimer')){

	$focus = User::findById($_POST['user']);

	if(!is_object($focus)){
		echo json_encode(['result' => 'failed']);
		$session->message("Failed, Try Again!");
		exit;
	}

	if(!compareUsersPriviledges($user, $focus)){
		echo json_encode(['result' => 'failed']);
		$session->message("Failed, Try Again!");
		exit;
	}

	if(!$user->password_check($_POST['password'], $user->password)){
		echo json_encode(['result' => 'failed']);
		$session->message("Failed, Try Again!");
		exit;
	}

	if(isset($_POST['group']) && in_array(strtolower($_POST['group']), User::enumValues('user_group'))){
		$focus->user_group = $_POST['group'];
	}

	if(isset($_POST['activated']) && in_array(strtolower($_POST['activated']), ["false", "true"])){
		$focus->active = ($_POST['activated'] === "true") ? 1 : 0;
	}

	if($focus->save()){
		echo json_encode(['result' => "success"]);
		$session->message("Update was successful");
		exit;
	}

} else{
	echo json_encode(['result' => 'failed']);
	$session->message("Failed, Try Again!");
	exit;
}
