<?php 
require_once "../../includes/init.php";
$user = dashboardPriviledged($session);
$site = Site::findById(1);
$msg = "";
$max = Images::convertToBytes(ini_get('upload_max_filesize'));
$errors = [];

if(isset($_POST['update']) && $_SESSION['updateSiteToken'] == $_POST['update-site-token'] && 
	$session->tokenIsValid('updateSiteToken', 'updateSiteTimer')){

	$fields = array(
		'company-name' => array(
			'name' => 'Company name',
			'required' => true,
			'max' => 150,
			'min' => 3
		),
		'website-name' => array(
			'name' => 'website name',
			'required' => true,
			'max' => 50,
			'min' => 3
		),
		'motto' => array(
			'name' => 'motto',
			'required' => true,
			'max' => 50,
			'min' => 5
		),
		'email' => array(
			'name' => 'email',
			'required' => true,
			'validate' => 'email',
			'unique' => 'email',
			'change' => true
		),
		'contact' => array(
			'name' => 'contact',
			'required' => true,
			'validate' => 'phone_no',
			'unique' => 'contact',
			'change' => true
			
		),
		'address-room' => array(
			'name' => 'address room',
			'required' => true,
			'max' => 50,
			'min' => 1
		),
		'address-floor' => array(
			'name' => 'address floor',
			'required' => true,
			'max' => 100,
			'min' => 1
		),
		'address-building' => array(
			'name' => 'address building',
			'required' => true,
			'max' => 100,
			'min' => 1
		),
		'address-location' => array(
			'name' => 'address location',
			'required' => true,
			'max' => 100,
			'min' => 2
		),
		'company' => array(
			'name' => 'about the company',
			'required' => true,
			'max' => 2000,
			'min' => 3
		),
		'featured-projects' => array(
			'name' => 'featured projects intro',
			'required' => true,
			'max' => 700,
			'min' => 3
		),
		'amenities' => array(
			'name' => 'amenities intro',
			'required' => true,
			'max' => 700,
			'min' => 3
		),
		'team' => array(
			'name' => 'team intro',
			'required' => true,
			'max' => 700,
			'min' => 3
		),
		'about-us' => array(
			'name' => 'about us',
			'required' => true,
			'max' => 2000,
			'min' => 10
		),
		'why-choose-us' => array(
			'name' => 'why choose us',
			'required' => true,
			'max' => 2000,
			'min' => 10
		),
		'contact-us' => array(
			'name' => 'contact us',
			'required' => true,
			'max' => 2000,
			'min' => 10
		)
	);

	$validate = new Validate('Site', $site->id);
	$validate->check($_POST, $fields);
	$errors = $validate->errors();
    
    $msg = '<div class="alert alert-danger alert-dismissible fade show text-center" role="alert">';
	$msg .=	'Update failed, try again!';
	$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
	$msg .= '<span aria-hidden="true">&times;</span>';
	$msg .= '</button>';
	$msg .=	'</div>';

	if(empty($errors)){
		$site->company_name = trim($_POST['company-name']);
		$site->webiste_name = trim($_POST['website-name']);
		$site->motto = trim($_POST['motto']);
		$site->email = trim($_POST['email']);
		$site->contact = trim($_POST['contact']);
		$site->address_room = trim($_POST['address-room']);
		$site->address_floor = trim($_POST['address-floor']);
		$site->address_building = trim($_POST['address-building']);
		$site->address_location = trim($_POST['address-location']);
		$site->our_company = trim($_POST['company']);
		$site->featured_projects_intro = trim($_POST['featured-projects']);
		$site->amenities_intro = trim($_POST['amenities']);
		$site->team_intro = trim($_POST['team']);
		$site->about_us = trim($_POST['about-us']);
		$site->why_choose_us = trim($_POST['why-choose-us']);
		$site->contact_us_intro = trim($_POST['contact-us']);
		$site->modified_by = $user->id;
		$site->date_modified = strftime("%Y-%m-%d %H:%M:%S");
		if($site->save()){
			$msg = '<div class="alert alert-primary alert-dismissible fade show text-center" role="alert">';
			$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
			$msg .=	'<span aria-hidden="true">&times;</span>';
			$msg .= '</button>';
			$msg .= 'Update was successful.';
			$msg .=	'</div>';
		}
	}
}

$expertises = Expertise::findAll();

if(isset($_POST['update-expertise']) && $_SESSION['updateExpertiseToken'] == $_POST['update-expertise-token'] && 
	$session->tokenIsValid('updateExpertiseToken', 'updateExpertiseTimer') && isset($_POST['update-expertise-id']) && 
	ctype_digit($_POST['update-expertise-id']) && $_POST['update-expertise-id'] != 0){

	$msg = '<div class="alert alert-danger alert-dismissible fade show text-center" role="alert">';
	$msg .=	'Update failed, try again!';
	$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
	$msg .= '<span aria-hidden="true">&times;</span>';
	$msg .= '</button>';
	$msg .=	'</div>';

	$fields = array(
		'expertise-name' => array(
			'name' => 'name',
			'required' => true,
			'max' => 100,
			'min' => 2
		),
		'range' => array(
			'name' => 'percentage',
			'required' => true,
			'validate' => 'numbers'
		)
	);

	$validate = new Validate('Expertise');
	$validate->check($_POST, $fields);
	$errors = $validate->errors();
	if(!isset($errors['range'])){
		if((int)$_POST['range'] < 0){
			$errors['range'] = "percentage is below the required value.";
		} else if((int)$_POST['range'] > 100){
			$errors['range'] = "percentage is above the required value.";
		}
	}

	$expertise = Expertise::findById($_POST['update-expertise-id']);
	if(is_object($expertise)){	

		if(empty($errors)){
			$expertise->name = $_POST['expertise-name'];
			$expertise->percentage = $_POST['range'];
			 
			if($expertise->save()){
				$msg = '<div class="alert alert-primary alert-dismissible fade show text-center" role="alert">';
				$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
				$msg .=	'<span aria-hidden="true">&times;</span>';
				$msg .= '</button>';
				$msg .= 'Update was successful.';
				$msg .=	'</div>';
				$expertises = Expertise::findAll();
			}

		} else {
			$errors['key'] = array_search($expertise, $expertises);
		} 
	}
	
}


if(isset($_POST['add-testimony']) && $_POST['upload-testimony-img-token'] === $_SESSION['uploadTestimonyImgToken']
	&& $session->tokenIsValid('uploadTestimonyImgToken', 'uploadTestimonyImgTimer')){
	
	$fields = array(
		'message' => array(
			'name' => 'message',
			'required' => true,
			'max' => 1000,
			'min' => 2
		),
		'first-name' => array(
			'name' => 'first name',
			'required' => true,
			'max' => 15,
			'min' => 2
		),
		'last-name' => array(
			'name' => 'last name',
			'required' => true,
			'max' => 15,
			'min' => 2
		),
		'career' => array(
			'name' => 'career',
			'required' => true,
			'max' => 100,
			'min' => 2
		)
	);

	$validate = new Validate('Testimony');
	$validate->check($_POST, $fields);
	$errors = $validate->errors();

	if(empty($errors)){
		$img = new Images("../img/testimony/");
		$img->user_id = 0;
		$img->project_id = 0;
		$img->location = "testimony";
		$img->setOutputSizes([160, 350, 500]);
		$img->added_by = $user->id;
		$img->modified_by = 0;
		$img->date_added = strftime("%Y-%m-%d %H:%M:%S");
		$img->date_modified = strftime("%Y-%m-%d %H:%M:%S");			
		$img->upload();
		$imgErr = !empty($img->errors()) ? $img->errors()[0] : "";

		if(!empty($imgErr)){
			$errors["testimony-img"] = $imgErr;
		} else {
			$testimony = new Testimony();
			$testimony->first_name = $_POST['first-name'];
			$testimony->last_name = $_POST['last-name'];
			$testimony->message = $_POST['message'];
			$testimony->career = $_POST['career'];
			$testimony->image_id = $img->id;
			$testimony->added_by = $user->id;
			$testimony->date_added = strftime("%Y-%m-%d %H:%M:%S");

			if($testimony->save()){
				$msg = '<div class="alert alert-primary alert-dismissible fade show text-center" role="alert">';
				$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
				$msg .=	'<span aria-hidden="true">&times;</span>';
				$msg .= '</button>';
				$msg .= 'Testimony was added successful.';
				$msg .=	'</div>';
			} else {
				$msg = '<div class="alert alert-danger alert-dismissible fade show text-center" role="alert">';
				$msg .=	'Unable to add testimony, try again!';
				$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
				$msg .= '<span aria-hidden="true">&times;</span>';
				$msg .= '</button>';
				$msg .=	'</div>';
			}
		}
	}

}

$testimonies = Testimony::findAll();


$sql = "SELECT * FROM images WHERE location = :type ORDER BY order_img ASC";
$projectImgs = Images::findBySQL($sql, ["type" => "projects"]);
$projects = Project::findAll();

if(isset($_POST['update-testimony']) && $_POST['update-testimony'] && ctype_digit($_POST['testimony-id']) && 
	$_POST['testimony-id'] != 0 && $_POST['testimony-update-token'] === $_SESSION['uploadImgsToken'] &&
	$session->tokenIsValid('uploadImgsToken', 'uploadImgsTimer')){

	$fields = array(
		'message' => array(
			'name' => 'message',
			'required' => true,
			'max' => 1000,
			'min' => 2
		),
		'first-name' => array(
			'name' => 'first name',
			'required' => true,
			'max' => 15,
			'min' => 2
		),
		'last-name' => array(
			'name' => 'last name',
			'required' => true,
			'max' => 15,
			'min' => 2
		),
		'career' => array(
			'name' => 'career',
			'required' => true,
			'max' => 100,
			'min' => 2
		)
	);

    $testimony = Testimony::findById($_POST['testimony-id']);

    $msg = '<div class="alert alert-danger alert-dismissible fade show text-center" role="alert">';
	$msg .=	'Unable to update testimony, try again!';
	$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
	$msg .= '<span aria-hidden="true">&times;</span>';
	$msg .= '</button>';
	$msg .=	'</div>';


    if(is_object($testimony)){
    	$validate = new Validate();
		$validate->check($_POST, $fields);
		$errors = $validate->errors();

		if(!empty($errors)){
			$errors['key'] = array_search($testimony, $testimonies);
		}

		if(empty($errors)){

			if($testimony){
				$testimony->first_name = $_POST['first-name'];
				$testimony->last_name = $_POST['last-name'];
				$testimony->message = $_POST['message'];
				$testimony->career = $_POST['career'];
				$testimony->modified_by = $user->id;
				$testimony->date_modified = strftime("%Y-%m-%d %H:%M:%S");
				if($testimony->save()){
					$msg = '<div class="alert alert-primary alert-dismissible fade show text-center" role="alert">';
					$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
					$msg .=	'<span aria-hidden="true">&times;</span>';
					$msg .= '</button>';
					$msg .= 'Testimony was updated successful.';
					$msg .=	'</div>';

					$file = current($_FILES);

					if(!empty($file) && is_array($file) && $file['error'] !== 4 && !is_array($file['error'])){
						$img = Images::findById($testimony->image_id);
						if($img){
							$img->destroy("../img/testimony/".$img->filename);
						}


						$img = new Images("../img/testimony/");
						$img->user_id = 0;
						$img->project_id = 0;
						$img->location = "testimony";
						$img->setOutputSizes([160, 350, 500]);
						$img->added_by = $user->id;
						$img->modified_by = 0;
						$img->date_added = strftime("%Y-%m-%d %H:%M:%S");
						$img->date_modified = strftime("%Y-%m-%d %H:%M:%S");			
						$img->upload();
						$imgErr = !empty($img->errors()) ? $img->errors()[0] : "";
						
						if(!empty($imgErr)){
							$errors["update-testimony-img"] = $imgErr;
							$testimonies = Testimony::findAll();
							$testimony = Testimony::findById($testimony->id);
							$errors['key'] = array_search($testimony, $testimonies);
							$msg = "";
						} else {
							$testimony->image_id = $img->id;
							$testimony->save();
							$testimonies = Testimony::findAll();
							$msg = '<div class="alert alert-primary alert-dismissible fade show text-center" role="alert">';
							$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
							$msg .=	'<span aria-hidden="true">&times;</span>';
							$msg .= '</button>';
							$msg .= 'Image was updated successful';
							$msg .=	'</div>';
						}
					}
				}
			}
		} 
	}
}

?>
<?php 
require_once "../layout/admin_header.php";
require_once "../layout/panel_header.php"; 
?>
<div id="update-site-main" class="container text-left">
	<form id="site-details-form" action="https://jamruchrealestates.co.ke/jamruch_admin/site.php" method="POST">
		<div class="msg-display">
			<?php echo $msg ?? ""; ?>
		</div>
		<div class="form-group form-row">
			<div  class="col">
				<div id="site-company-name-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['company-name'] ?? "");?>
				</div>
				<label for="site-company-name" id="site-company-name-label" class="form-control-label">Company Name</label>
				<input type="text" id="site-company-name" name="company-name" value="<?php echo htmlentities($site->company_name);?>" class="form-control <?php echo inputErrCheck($errors['company-name'] ?? ""); ?>" placeholder="Company Name">
			</div>
			<div class="col">
				<div id="site-website-name-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['website-name'] ?? "");?>
				</div>
				<label for="site-website-name" id="site-website-name-label" class="form-control-label">Website Name</label>
				<input type="text" id="site-website-name" name="website-name" value="<?php echo htmlentities($site->website_name);?>" class="form-control  <?php echo inputErrCheck($errors['website-name'] ?? ""); ?>" placeholder="Website Name">
			</div>
		</div>
		<div class="form-group form-row">
			<div class="col">
				<div id="site-email-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['email'] ?? "");?>
				</div>
				<label for="site-email" id="site-email-label" class="form-control-label">Email</label>
				<input type="text" id="site-email" name="email" value="<?php echo htmlentities($site->email);?>" class="form-control  <?php echo inputErrCheck($errors['email'] ?? ""); ?>"  placeholder="Email">
			</div>
			<div class="col">
				<div id="site-contact-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['contact'] ?? "");?>
				</div>
				<label for="site-contact" id="site-contact-label" class="form-control-label">Contact</label>
				<input type="text" id="site-contact" name="contact" value="<?php echo htmlentities($site->contact);?>" class="form-control  <?php echo inputErrCheck($errors['contact'] ?? ""); ?>"  placeholder="contact">
			</div>
		</div>
		<div class="form-group">
			<div id="site-motto-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['motto'] ?? "");?>
			</div>
			<label for="site-motto" id="site-motto-label" class="form-control-label">Motto</label>
			<input type="text" id="site-motto" name="motto" value="<?php echo htmlentities($site->motto);?>" class="form-control  <?php echo inputErrCheck($errors['motto'] ?? ""); ?>"  placeholder="motto">
		</div>
		<div class="form-group form-row">
			<div class="col">
				<div id="site-address-room-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['address-room'] ?? "");?>
				</div>
				<label for="site-address-room" id="site-address-room-label" class="form-control-label">Room</label>
				<input type="text" id="site-address-room" name="address-room" value="<?php echo htmlentities($site->address_room);?>" class="form-control  <?php echo inputErrCheck($errors['address-room'] ?? ""); ?>"  placeholder="Address Room">
			</div>
			<div class="col">
				<div id="site-address-floor-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['address-floor'] ?? "");?>
				</div>
				<label for="site-address-floor" id="site-address-floor-label" class="form-control-label">Floor</label>
				<input type="text" id="site-address-floor" name="address-floor" value="<?php echo htmlentities($site->address_floor);?>" class="form-control  <?php echo inputErrCheck($errors['address-floor'] ?? ""); ?>"  placeholder="Address floor">
				</div>
			<div class="col">
				<div id="site-address-building-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['address-building'] ?? "");?>
				</div>
				<label for="site-address-building" id="site-address-building-label" class="form-control-label">Building</label>
				<input type="text" id="site-address-building" name="address-building" value="<?php echo htmlentities($site->address_building);?>" class="form-control  <?php echo inputErrCheck($errors['address-building'] ?? ""); ?>"  placeholder="Address Building">
			</div>
			<div class="col">
				<div id="site-address-location-msg" class="error-msg">
					<?php echo htmlspecialchars($errors['address-location'] ?? "");?>
				</div>
				<label for="site-address-location" id="site-address-location-label" class="form-control-label">Location</label>
				<input type="text" id="site-address-location" name="address-location" value="<?php echo htmlentities($site->address_location);?>" class="form-control  <?php echo inputErrCheck($errors['address-location'] ?? ""); ?>"  placeholder="Address Location">
			</div>
		</div>
		<div class="form-group">
			<div id="site-company-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['company'] ?? "");?>
			</div>
			<label for="site-company" id="site-company-label" class="form-control-label">Our Company</label>
			<textarea id="site-company" name="company" class="form-control  <?php echo inputErrCheck($errors['company'] ?? ""); ?>" rows="6"><?php echo htmlentities($site->our_company);?></textarea> 
		</div>
		<div class="form-group">
			<div id="site-featured-projects-intro-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['featured-projects'] ?? "");?>
			</div>
			<label for="site-featured-projects-intro" id="featured-projects-intro-label" class="form-control-label">Featured Projects Intro</label>
			<textarea id="site-featured-projects-intro" name="featured-projects" class="form-control  <?php echo inputErrCheck($errors['featured-projects'] ?? ""); ?>" rows="6"><?php echo htmlentities($site->featured_projects_intro);?></textarea> 
		</div>
		<div class="form-group">
			<div id="site-amenities-intro-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['amenities'] ?? "");?>
			</div>
			<label for="site-amenities-intro" id="site-amenities-intro-label" class="form-control-label">Amenities Intro</label>
			<textarea id="site-amenities-intro" name="amenities" class="form-control  <?php echo inputErrCheck($errors['amenities'] ?? ""); ?>" rows="6"><?php echo htmlentities($site->amenities_intro);?></textarea> 
		</div>
		<div class="form-group">
			<div id="site-team-intro-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['team'] ?? "");?>
			</div>
			<label for="site-team-intro" id="site-team-intro-label" class="form-control-label">Team Intro</label>
			<textarea id="site-team-intro" name="team" class="form-control  <?php echo inputErrCheck($errors['team'] ?? ""); ?>" rows="6"><?php echo htmlentities($site->team_intro);?></textarea> 
		</div>
		<div class="form-group">
			<div id="site-about-us-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['about-us'] ?? "");?>
			</div>
			<label for="site-about-us" id="site-about-us-label" class="form-control-label">About Us</label>
			<textarea id="site-about-us" name="about-us" class="form-control  <?php echo inputErrCheck($errors['about-us'] ?? ""); ?>" rows="6">
				<?php echo htmlentities($site->about_us);?>	
			</textarea> 
		</div>
		<div class="form-group">
			<div id="site-why-choose-us-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['why-choose-us'] ?? "");?>
			</div>
			<label for="site-why-choose-us" id="site-why-choose-us-label" class="form-control-label">Why Choose Us</label>
			<textarea id="site-why-choose-us" name="why-choose-us" class="form-control  <?php echo inputErrCheck($errors['why-choose-us'] ?? ""); ?>" rows="6"><?php echo htmlentities($site->why_choose_us);?></textarea> 
		</div>
		<div class="form-group">
			<div id="site-contact-us-msg" class="error-msg">
				<?php echo htmlspecialchars($errors['contact-us'] ?? "");?>
			</div>
			<label for="site-contact-us" id="contact-us-label" class="form-control-label">Contact Us</label>
			<textarea id="site-contact-us" name="contact-us" class="form-control  <?php echo inputErrCheck($errors['contact-us'] ?? ""); ?>" rows="6"><?php echo htmlentities($site->contact_us_intro);?></textarea> 
		</div>
		<div class="form-group">
			<input type="hidden" id="update-site-token" name="update-site-token" value="<?php echo $session->createToken('updateSiteToken', 'updateSiteTimer'); ?>">
			<input type="submit" value="UPDATE" name="update" id="update-site-btn" class="btn btn-primary">
		</div>
	</form>
	<div id="adm-expertise-container" class="mt-5 border-top">
		<h4 class="mt-3">Expertise</h4>
		<?php $updateExpertiseToken = $session->createToken('updateExpertiseToken', 'updateExpertiseTimer'); ?>
		<?php foreach($expertises as $key => $expertise){?>
			<form action="https://jamruchrealestates.co.ke/jamruch_admin/site.php" method="POST" class="mt-5">
				<div class="mb-3 pb-1 bg-dark rounded">
					<div class="form-group col">
						<div id="expertise-err-<?php echo projectName4HTMLID($expertise); ?>" class="error-msg">
							<?php if(projectOutputErr($errors, $key)){ echo htmlentities($errors['expertise-name'] ?? "");} ?>
						</div>
						<label for="expertise-name-<?php echo projectName4HTMLID($expertise); ?>">Name:</label>
						<input id="expertise-name-<?php echo projectName4HTMLID($expertise); ?>" type="text" name="expertise-name" value="<?php echo htmlentities($expertise->name); ?>" class="form-control shadow-none <?php if(projectOutputErr($errors, $key)){ echo inputErrCheck($errors['expertise-name'] ?? ""); } ?>">
					</div>
					<div class="form-group col">
						<div id="expertise-range-err-<?php echo projectName4HTMLID($expertise); ?>" class="error-msg">
							<?php if(projectOutputErr($errors, $key)){ echo htmlentities($errors['range'] ?? "");} ?>
						</div>
						<input type="range" class="form-control-range shadow-none" id="expertise-range-<?php echo projectName4HTMLID($expertise); ?>" value="<?php echo $expertise->percentage; ?>" name="range">
						<div class="display-percent text-center h6"></div>
					</div>
					<div class="form-group text-center">
						<input type="hidden" id="update-expertise-token-<?php echo $key; ?>" name="update-expertise-token" value="<?php echo  $updateExpertiseToken; ?>">
						<input type="hidden" id="update-expertise-id-<?php echo $key; ?>" name="update-expertise-id" value="<?php echo  $expertise->id; ?>">
						<input type="submit" value="UPDATE" name="update-expertise" id="update-expertise-btn-<?php echo $key; ?>" class="btn btn-primary">
					</div>
				</div>
			</form>	
		<?php } ?>
	</div>
	<div class="border-top my-5">
		<div class="row justify-content-between">
			<h4 class="mt-3 col-md-6">Testimonials</h4>
			<span class="mt-3 col-3 float-right">
				<button id="add-testimony-btn" type="button" class="btn btn-primary" data-toggle="modal" data-target="#add_testimony"><i class="fa fa-plus" aria-hidden="true"></i></button>
			</span>
		</div>
		<div id="add_testimony_container" class="text-dark">
			<div class="modal fade" id="add_testimony" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="testimonyModalLabel" aria-hidden="true">
				<div class="modal-dialog  modal-lg" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h5 class="modal-title" id="testimonyModalLabel">ADD TESTIMONY.</h5>
							<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								<span aria-hidden="true">&times;</span>
							</button>
						</div>
						<div class="modal-body">
							<form method="POST" action="https://jamruchrealestates.co.ke/jamruch_admin/site.php" enctype="multipart/form-data">
								<div class="form-row">
									<div class="col form-group">
										<div id="testimony-first-name-msg" class="error-msg">
											<?php echo htmlspecialchars($errors['first-name'] ?? "");?>
										</div>
										<label for="testimony-first-name">First Name:</label>
										<input id="testimony-first-name" type="text" name="first-name" class="form-control <?php echo inputErrCheck($errors['first-name'] ?? ""); ?>" placeholder="First Name" value="<?php if(!empty($errors)){ echo htmlentities($_POST['first-name'] ?? ""); } ?>">
										</div>
										<div class="col form-group">
											<div id="testimony-last-name-msg" class="error-msg">
												<?php echo htmlspecialchars($errors['last-name'] ?? "");?>
											</div>
											<label for="testimony-last-name">Last Name:</label>
											<input id="testimony-last-name" type="text" name="last-name" class="form-control <?php echo inputErrCheck($errors['last-name'] ?? ""); ?>" placeholder="last name" value="<?php if(!empty($errors)){ echo htmlentities($_POST['last-name'] ?? ""); } ?>">
										</div>
									</div>
									<div class="form-group">
										<div id="testimony-career-msg" class="error-msg">
											<?php echo htmlspecialchars($errors['career'] ?? "");?>
										</div>
										<label for="testimony-career">Career:</label>
										<input id="testimony-career" type="text" name="career" class="form-control <?php echo inputErrCheck($errors['career'] ?? ""); ?>" placeholder="career" value="<?php if(!empty($errors)){ echo htmlentities($_POST['career'] ?? ""); } ?>">
									</div>
									<div class="form-group">
										<div id="testimony-message-msg" class="error-msg">
											<?php echo htmlspecialchars($errors['message'] ?? "");?>
										</div>
										<label for="testimony-message" class="col-form-label">Message:</label>
										<textarea class="form-control  <?php echo inputErrCheck($errors['message'] ?? ""); ?>" name="message" id="testimony-message"><?php if(!empty($errors)){ echo htmlentities($_POST['message'] ?? ""); } ?></textarea>
									</div>
									<div class="form-group">
										<div class="img-errors text-danger">
											<?php echo htmlspecialchars($errors['testimony-img'] ?? "");?>
										</div>
										<div id="displayTestimonyImg" class="text-danger"></div>
										<input type="hidden" id="upload-testimony-imgs-token" name="upload-testimony-img-token" value="<?php echo $session->createToken('uploadTestimonyImgToken', 'uploadTestimonyImgTimer'); ?>">
										<input id="maxFileSize" type="hidden" name="MAX_FILE_SIZE" value="<?php echo htmlentities($max); ?>">
										<input type="file" accept="image/*" id="upload-testimony-img" name="upload-testimony-img" data-maxPostFiles="<?php echo htmlentities($max);?>" class="form-control-file upload-imgs">
										<label for="upload-testimony-img" class="<?php echo inputErrCheck($errors['testimony-img'] ?? ""); ?>">
											<i class="fa fa-upload btn btn-primary" aria-hidden="true">UPLOAD IMAGES</i>
										</label>
									</div>
								</div>
								<div class="modal-footer">
									<button type="submit" class="btn btn-primary" name="add-testimony" value="true">ADD Testimony</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>


			<div  id="testimonials-display-container" class="accordion mt-3">
			<?php if(!empty($testimonies)){ $testimonyUpdateToken = $session->createToken('uploadImgsToken', 'uploadImgsTimer'); ?>
				<?php foreach($testimonies as $key => $testimony){?>
				<div class="card bg-light">
					<div class="card-header row" id="<?php echo $testimony->id;?>-photos-heading">
						<h3 class="mb-0 col">
							<button class="btn btn-primary" type="button" data-toggle="collapse" 
							data-target="#testimony-<?php echo $testimony->id; ?>" aria-expanded="true" aria-controls="<?php echo $testimony->id;?>-photos">
					          <?php echo htmlentities($testimony->first_name." ".$testimony->last_name); ?>
					        </button>
					    </h3>
					    <div class="delete-testimony ml-3 col text-right" data-testimony="<?php echo $testimony->id; ?>" data-testimonytoken="<?php echo $testimonyUpdateToken; ?>">
                        	<a href="" class="text-danger"><i class="fa fa-trash-o"></i></a>
                        </div>
					</div>
					<div id="testimony-<?php echo $testimony->id;?>" class="collapse <?php echo displayProjectAccordion($errors, $key); ?> project-photos" aria-labelledby="<?php echo $testimony->id;?>-photos-heading" data-parent="#testimonials-display-container">
						<?php 
							$sql = "SELECT * FROM images WHERE id = :id AND location = :type";
							$currentImgs = Images::findBySQL($sql, ["id" => $testimony->image_id, "type" => "testimony"]);
						?>
						<div class="row card-body" data-count="<?php echo count($currentImgs); ?>">
							<div class="col-12">
								<form action="https://jamruchrealestates.co.ke/jamruch_admin/site.php" method="POST" class="testimony-form bg-dark p-3 rounded" enctype="multipart/form-data">
						          	<div class="form-row">
						          		<div class="col form-group">
						          			<div class="error-msg">
												<?php if(projectOutputErr($errors, $key)){ echo htmlentities($errors['first-name'] ?? "");} ?>
											</div>
							            	<input type="text" class="form-control <?php if(projectOutputErr($errors, $key)){ echo inputErrCheck($errors['first-name'] ?? ""); } ?>" name="first-name" placeholder="First Name" value="<?php echo htmlentities($testimony->first_name ?? "");  ?>">
							          	</div>
							          	<div class="col form-group">
							          		<div class="error-msg">
												<?php if(projectOutputErr($errors, $key)){ echo htmlspecialchars($errors['last-name'] ?? ""); }?>
											</div>
							          		<input type="text" name="last-name" class="form-control <?php if(projectOutputErr($errors, $key)){echo inputErrCheck($errors['last-name'] ?? ""); } ?>" placeholder="Last Name" value="<?php  echo htmlentities($testimony->last_name ?? ""); ?>">
							          	</div>
						          	</div>
						          	<div class="form-group">
										<div class="error-msg">
										<?php if(projectOutputErr($errors, $key)){ echo htmlspecialchars($errors['career'] ?? ""); } ?>
										</div>
										<input type="text" class="form-control <?php if(projectOutputErr($errors, $key)){ echo inputErrCheck($errors['career'] ?? "");} ?>" name="career" placeholder="career" value="<?php echo htmlentities($testimony->career ?? ""); ?>">
									</div>
						          	<div class="form-group">
						          		<div class="error-msg">
											<?php if(projectOutputErr($errors, $key)){echo htmlspecialchars($errors['message'] ?? ""); } ?>
										</div>
						            <textarea class="form-control <?php if(projectOutputErr($errors, $key)){ echo inputErrCheck($errors['message'] ?? '');}?>" name="message"><?php echo htmlentities(trim($testimony->message)) ?? ""; ?></textarea>
						          </div>
						          <div class="m-2">
						          	<div class="img-errors text-danger">
						          		<?php if(projectOutputErr($errors, $key)){ echo htmlspecialchars($errors['update-testimony-img'] ?? "");}?>
						          	</div>
									<div class="update-img m-3 text-danger"></div>									
									<input type="file" accept="image/*" id="update-testimony-img-<?php echo $key; ?>" class="update-testimony-img form-control-file" name="update-testimony-img" data-maxPostFiles="<?php echo htmlentities($max);?>">
									<label for="update-testimony-img-<?php echo $key; ?>" class="<?php if(projectOutputErr($errors, $key)){ echo inputErrCheck($errors['update-testimony-img'] ?? "");} ?>">
										<i class="fa fa-upload btn btn-primary" aria-hidden="true"> UPDATE IMAGE</i>
									</label>
								  </div>
						          <div class="form-group text-center">
						          	<input type="hidden" name="testimony-id" value="<?php echo $testimony->id; ?>">
						          	<input type="hidden" class="testimony-update-token" name="testimony-update-token" value="<?php echo $testimonyUpdateToken; ?>">
						        	<button type="submit" class="btn btn-primary" name="update-testimony" value="true">Update Testimony</button>
						          </div>
								</form>
							</div>
							<?php if(!empty($currentImgs)){ ?>
								<?php foreach($currentImgs as $currentImg){?>
								<div class="col-lg-3 col-md-4 col-xs-6 thumb">
					                <a class="thumbnail" href="#" data-image-id="" data-toggle="modal" data-title="<?php echo htmlentities($currentImg->filename); ?>"
					                   data-image="<?php echo htmlentities(getImgs($currentImg->id, "../img/testimony/", "max")); ?>"
					                   data-target="#image-gallery" data-num="<?php echo $currentImg->order_img; ?>"
					                   data-image-reg="<?php echo $currentImg->id; ?>">
					                    <img class="img-thumbnail" src="<?php echo htmlentities(getImgs($currentImg->id, "../img/testimony/", "thumbnail")); ?>" alt="<?php echo htmlentities($currentImg->filename); ?>">
					                </a>
					            </div>
					            <?php } ?>
					        <?php } ?>
						</div>
					</div>
				</div>
				<?php } ?>
        	<?php } else { ?>
        		<div>No Testimony Found</div> 
        	<?php } ?>
	        <div class="modal fade" id="image-gallery" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
	            <div class="modal-dialog modal-lg">
	                <div class="modal-content">
	                    <div class="modal-header">
	                        <h4 class="modal-title" id="image-gallery-title"></h4>
                        	<button type="button" id="image-gallery-close" class="close" data-dismiss="modal">
	                        	<span aria-hidden="true">×</span>
	                        	<span class="sr-only">Close</span>
	                        </button>
	                    </div>
	                    <div class="modal-body text-center">
	                        <img id="image-gallery-image" class="img-responsive col-md-10" src="">
	                    </div>
	                    <div class="modal-footer">
	                        <button type="button" class="btn btn-secondary float-left" id="show-previous-image"><i class="fa fa-arrow-left"></i>
	                        </button>

	                        <button type="button" id="show-next-image" class="btn btn-secondary float-right"><i class="fa fa-arrow-right"></i>
	                        </button>
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>


		</div>
	</div>
</div>
<?php if(isset($errors) && !empty($errors) && !isset($errors['key']) && empty($msg)){ ?>
<script>
	window.addEventListener('DOMContentLoaded', ()=>{
		let addTestimonyBtn = document.querySelector('#add-testimony-btn');
			addTestimonyBtn.click();
	});
</script>
<?php } ?>
<?php 
require_once "../layout/panel_footer.php"; 
require_once "../layout/admin_footer.php";
?>