<?php
require_once "../includes/init.php";
require_once "layout/header.php";

if(!isset($_GET['id']) || !ctype_digit($_GET['id']) || $_GET['id'] == 0){ redirect(PUBLIC_FOLDER); }

$project = Project::findById($_GET['id']);

if(!is_object($project)){ redirect(PUBLIC_FOLDER); }

$sql = "SELECT * FROM images WHERE project_id = :pid ORDER BY order_img";
$imgs = Images::findBySQL($sql, ["pid" => $project->id]);
?>

<?php if(!empty($imgs)){?>
	<div class="container">
		<h2 id="project-img-expand-text"><?php echo htmlentities($project->name); ?></h2>
		<div class="project-img-container">
			<div id="project-img-expand-parent">
				<span class="closebtn">&times;</span>
				<img src="" alt="" id="project-img-expand">
			</div>
			<div class="project-img-row">
			<?php foreach($imgs as $img){?>
				<div class="project-img-column">
					<img src="<?php echo PUBLIC_FOLDER.getImgs($img->id, 'img/projects/', 'max'); ?>" alt="<?php echo htmlentities($img->filename); ?>">
				</div>
			<?php } ?>
			</div>
			<div id="project-front-details">
				<div class="">
			        <table class="table table-sm table-borderless mb-0">
			          <tbody>
			            <tr>
			              <th class="pl-0 w-25" scope="row"><strong>Name</strong></th>
			              <td><?php echo htmlentities($project->name); ?></td>
			            </tr>
			            <tr>
			              <th class="pl-0 w-25" scope="row"><strong>Price</strong></th>
			              <td><?php echo htmlentities(number_format($project->price, 2))." ksh"; ?></td>
			            </tr>
			            <tr>
			              <th class="pl-0 w-25" scope="row"><strong>Size</strong></th>
			              <td><?php echo htmlentities($project->size); ?></td>
			            </tr>
			            <tr>
			              <th class="pl-0 w-25" scope="row"><strong>Location</strong></th>
			              <td><?php echo htmlentities($project->location); ?></td>
			            </tr>
			            <tr>
			              <th class="pl-0 w-25" scope="row"><strong>Description</strong></th>
			              <td><?php echo strip_tags($project->description, tagsAllowed()); ?></td>
			            </tr>
			          </tbody>
			        </table>
			    </div>
			</div>
		</div>
	<?php } else { ?>
		<p>No Images</p>
	<?php } ?> 
	</div>
<?php require_once "layout/footer.php"; ?>