<?php
require_once "../../includes/init.php";

if(!isAjaxRequest()){ redirect(PUBLIC_FOLDER); }
$user = dashboardPriviledged($session);

if(isset($_POST['change']) && $_POST['change'] == true && ctype_digit($_POST['id']) && 
	trim($_POST['id']) !== "0" && ctype_digit($_POST['order']) && trim($_POST['order']) !== 0 &&
	$session->tokenIsValid('uploadImgsToken', 'uploadImgsTimer') && $_SESSION['uploadImgsToken'] == $_POST['token']){
	
	$img = Images::findById($_POST['id']);
	if(!is_object($img)){
		echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
		exit;
	}

	$sqlArr = ["type" => $img->location, "order" => $_POST['order']];
	$sql = "SELECT * FROM images WHERE location = :type AND order_img = :order";

	if($img->project_id != 0){
		$sql .= " AND project_id = :pid";
		$sqlArr["pid"] = $img->project_id;
	}

	$sql .= " LIMIT 1";
	
	$sibling = Images::findBySQL($sql, $sqlArr);
	if(empty($sibling)){
		echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
		exit;
	}

	$sibling = array_shift($sibling);

	if(!is_object($img)){
		echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
		exit;
	}

	$pos = $img->order_img;

	$img->order_img = $sibling->order_img;
	$img->modified_by = $user->id;
	$img->date_modified = strftime("%Y-%m-%d %H:%M:%S");
	$sibling->order_img = $pos;
	$sibling->modified_by = $user->id;
	$sibling->date_modified = strftime("%Y-%m-%d %H:%M:%S");

	if($sibling->save() && $img->save()){
		$session->message("Updated successful!");
		echo json_encode(['result' => "success", "msg" => "Updated successful!"]);
		exit;
	}else{
		echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
		exit;
	}

}else{
	echo json_encode(['result' => "failed", "msg" => "Updated failed, try again!"]);
	exit;
}