<?php 
require_once "../../includes/init.php";
$user = dashboardPriviledged($session);
$max = Images::convertToBytes(ini_get('upload_max_filesize'));
$msg = "";
if(isset($_POST['update']) && $_SESSION['updateProfileToken'] == $_POST['update-profile-token'] && $session->tokenIsValid('updateProfileToken', 'updateProfileTimer')){
	$fields = array(
		'first-name' => array(
			'name' => 'first name',
			'required' => true,
			'max' => 12,
			'min' => 2
		),
		'last-name' => array(
			'name' => 'last name',
			'required' => true,
			'max' => 12,
			'min' => 2
		),
		'email' => array(
			'name' => 'email',
			'required' => true,
			'validate' => 'email',
			'unique' => 'email',
			'change' => true
		)
	);

	$validate = new Validate('User', $session->userId);
	$validate->check($_POST, $fields);
	$errors = $validate->errors();
	if(empty($errors)){
		$user = User::findById($session->userId);
		$user->first_name = $_POST['first-name'];
		$user->last_name = $_POST['last-name'];
		$user->email = $_POST['email'];
		$user->date_modified = strftime("%Y-%m-%d %H:%M:%S");
		if($user->save()){
			$msg = '<div class="alert alert-primary alert-dismissible fade show text-center" role="alert">';
			$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
			$msg .=	'<span aria-hidden="true">&times;</span>';
			$msg .= '</button>';
			$msg .= 'Update was successful.';
			$msg .=	'</div>';
		}else{
			$msg = '<div class="alert alert-danger alert-dismissible fade show text-center" role="alert">';
			$msg .=	'Update failed, try again!';
			$msg .=	'<button type="button" class="close" data-dismiss="alert" aria-label="Close">';
			$msg .= '<span aria-hidden="true">&times;</span>';
			$msg .= '</button>';
			$msg .=	'</div>';
		}

	}
}

?>
<?php 
require_once "../layout/admin_header.php";
require_once "../layout/panel_header.php"; 
?>
<div id="profile" class="mt-3">
	<?php echo $msg ?? ""; ?>
	<div id="lg-pic-modal" class="pic-modal">
		<span class="img-close">&times;</span>
		<img class="pic-modal-content" id="lg-pic">
		<div id="pic-caption" class="caption d-none"></div>
		<div id="upload-pic-details" class="d-none text-center mt-3">
			<div id="showPercent"></div>
			<div id="showProgress"></div>
			<button id="uploadPicBtn" class="btn btn-primary">UPLOAD</button>
		</div>
	</div>
	<div id="profile-pic" class="text-center">
		<img id="profile-img" src="<?php echo htmlentities(getProfilePicture($user, '../img/users/')); ?>" class="current-img rounded-circle w-25" alt="<?php echo htmlspecialchars($user->fullName()); ?>">
		<form action="" id="uploadImgForm" enctype="multipart/form-data" method="post">
			<small class="form-text text-muted m-3">
				Joined: <?php echo htmlentities(datetimeToTime($user->date_joined));?>
			</small>
			<div class="form-group">
				<input type="hidden" id="profile-token" name="profile-token" value="<?php echo $session->createToken('profileToken', 'profileTimer'); ?>">
				<input id="maxFileSize" type="hidden" name="MAX_FILE_SIZE" value="<?php echo htmlspecialchars($max); ?>">
				<input type="file" accept="image/*" id="profPicInput" name="profPic[]" data-maxPostFiles="<?php echo htmlspecialchars($max);?>" class="form-control-file upload-imgs">
				<label for="profPicInput">Upload Picture</label>
				<div class="img-errors"></div>
			</div>
		</form>
		<div id="update-profile-main" class="container text-left">
			<form id="profile-details-form" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
				<div class="msg-display"></div>
				<div class="form-group">
					<div id="profile-first-msg" class="error-msg">
						<?php echo htmlspecialchars($errors['first-name'] ?? "");?>
					</div>
					<label for="profile-first-name" id="profile-first-name-label" class="form-control-label">First Name</label>
					<input type="text" id="profile-first-name" name="first-name" value="<?php echo htmlentities($user->first_name);?>" class="form-control <?php echo inputErrCheck($errors['first-name'] ?? ""); ?>" placeholder="First Name">
				</div>
				<div class="form-group">
					<div id="profile-last-name-msg" class="error-msg">
						<?php echo htmlspecialchars($errors['last-name'] ?? "");?>
					</div>
					<label for="profile-last-name" id="profile-last-name-label" class="form-control-label">Last Name</label>
					<input type="text" id="profile-last-name" name="last-name" value="<?php echo htmlentities($user->last_name);?>" class="form-control  <?php echo inputErrCheck($errors['last-name'] ?? ""); ?>" placeholder="Last Name">
				</div>
				<div class="form-group">
					<div id="profile-email-msg" class="error-msg">
						<?php echo htmlspecialchars($errors['email'] ?? "");?>
					</div>
					<label for="profile-email" id="profile-email-label" class="form-control-label">Email</label>
					<input type="text" id="profile-email" name="email" value="<?php echo htmlentities($user->email);?>" class="form-control  <?php echo inputErrCheck($errors['email'] ?? ""); ?>"  placeholder="Email">
				</div>
				<div class="form-group">
					<input type="hidden" id="update-profile-token" name="update-profile-token" value="<?php echo $session->createToken('updateProfileToken', 'updateProfileTimer'); ?>">
					<input type="submit" value="UPDATE" name="update" id="update-profile-btn" class="btn btn-primary">
				</div>
			</form>
		</div>
	</div>
</div>

<?php 
require_once "../layout/panel_footer.php"; 
require_once "../layout/admin_footer.php"; 
?>
