<?php
require_once "../../includes/init.php";
if(!isAjaxRequest()){ redirect(PUBLIC_FOLDER);}
$user = dashboardPriviledged($session);
$current = current($_FILES);
$enums = Images::enumValues("location");
$watermark = $enums;
$searchValues = ["profile", "logo", "watermark"];
foreach ($searchValues as $value) {
	unset($watermark[array_search($value, $watermark)]);
}

if(isset($_POST['upload']) && $session->tokenIsValid('uploadImgsToken', 'uploadImgsTimer') 
	&& $_SESSION['uploadImgsToken'] == $_POST['token'] && !is_array($current['name']) 
	&& isset($_POST['photoGroup']) && in_array($_POST['photoGroup'], $enums)){
	
	try{
		$photoGroup = trim($_POST['photoGroup']);
		$sql = "SELECT * FROM images WHERE location = :type";
		$imgs = Images::findBySQL($sql, ["type" => $photoGroup]);
		$image = new Images();
		$image->user_id = 0;
		$image->location = $photoGroup;
		$image->order_img = count($imgs);
		$image->destination = "..".DS."img".DS.$photoGroup.DS;
		$image->setOutputSizes([160, 350, 500]);
		$image->added_by = $user->id;
		$image->modified_by = $user->id;
		$image->date_added = strftime("%Y-%m-%d %H:%M:%S");
		$image->date_modified = strftime("%Y-%m-%d %H:%M:%S");
		if(in_array($_POST['photoGroup'], $watermark)){
			$image->watermark(getWatermark());
		}
		$image->upload();
		if(empty($image->errors())){
		   	echo json_encode(['result' => 'success', 'msg' => 'Image uploaded successfully.']);
			exit;
		}else{
			$errors = $image->errors();
	    	echo json_encode(['result' => 'failed', 'errors' => array_shift($errors)]);
	    	exit;
		}
		
	}catch(Exception $e){
		$errors[] = $e->getMessage();
		echo json_encode(['result' => 'failed', 'errors' => $e->getMessage()]);
	}
   
} else {
	echo json_encode(['result' => 'failed', 'errors' => 'request failed try again.']);
}