<?php
ob_start();
$site = new Site();
$site = $site->findById(1);
$sql = "SELECT * FROM images WHERE location = :type AND order_img = :order LIMIT 1";
$logoImg = Images::findBySQL($sql, ["type" => "logo", "order" => 1]);
$logoImg = array_shift($logoImg);
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="theme-color" content="#009900" />
	<meta name="description" content="<?php echo $site->motto ?? ''; ?>">
    <meta property="og:title" content="<?php echo $site->motto ?? ''; ?>">
    <meta property="og:description" content="<?php echo $site->motto ?? ''; ?>">
	<meta property="og:image" content="<?php echo imgUrl(getImgs($logoImg->id, "img/logo/", "thumbnail")) ?? ''; ?>">
    <meta name="twitter:card" content="summary">
    <meta name="twitter:title" content="<?php echo $site->motto ?? ''; ?>">
    <meta name="twitter:description" content="<?php echo $site->motto ?? ''; ?>">
    <meta name="twitter:image" content="<?php echo imgUrl(getImgs($logoImg->id, "img/logo/", "thumbnail")) ?? ''; ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta name="description" content="" />
	<link rel="shortcut icon" type="image/x-icon" href="<?php echo PUBLIC_FOLDER.'img/logo/favicon.ico' ?? ''; ?>">
	<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">  
	<link rel="stylesheet" href="<?php echo PUBLIC_FOLDER.'materialize/css/materialize.css'; ?>" media="screen,projection" /> 
	<link href="<?php echo PUBLIC_FOLDER.'css/bootstrap.min.css'; ?>" rel="stylesheet" />
	<link href="<?php echo PUBLIC_FOLDER.'css/fancybox/jquery.fancybox.css'; ?>" rel="stylesheet"> 
	<link href="<?php echo PUBLIC_FOLDER.'css/flexslider.css'; ?>" rel="stylesheet" /> 
	<link rel="stylesheet" type="text/css" href="<?php echo PUBLIC_FOLDER.'css/zoomslider.css'; ?>" />
	<link href="<?php echo PUBLIC_FOLDER.'css/style.css'; ?>" rel="stylesheet" /> 
	<link href="<?php echo PUBLIC_FOLDER.'css/jamruch-styles.css'; ?>" rel="stylesheet" /> 
	<title><?php echo htmlspecialchars($site->company_name)?></title>
	<script src="//code-eu1.jivosite.com/widget/pqJVxqqK96" async></script>
</head>
<body>
<div id="overlay"></div>
<div id="spinner">
	<img src="<?php echo htmlentities(PUBLIC_FOLDER."img/loading_house.gif")?>" alt="loading...">
</div>
<div id="wrapper" class="home-page"> 
	<header class="topbar">
		<div class="container">
			<div class="row">
				<!-- social icon-->
				<div class="col-md-3">
				   <ul class="social-network text-center">
					<li>
						<a target="_blank" class="waves-effect waves-dark" href="https://web.facebook.com/Jamruch-REAL-Estate-LTD-1211611848868958"><i class="fa fa-facebook"></i>
						</a>
					</li>
					<li>
						<a  target="_blank" class="waves-effect waves-dark" href="#"><i class="fa fa-twitter"></i></a>
					</li>
					<li>
						<a  target="_blank" class="waves-effect waves-dark" href=" https://wa.me/+254707256599"><i class="fa fa-whatsapp" aria-hidden="true"></i></a>
					</li>
				</ul>
				</div>
				<div class="col-md-9">
					<div class="row">
						<ul class="info"> 
							<li>
								<i class="icon-info-blocks material-icons">question_answer</i>
								<span>
									<?php echo htmlentities($site->email); ?>
								</span>
							</li>
							<li>
								<i class="icon-info-blocks material-icons">perm_phone_msg</i>
								<span>
									<?php echo htmlentities($site->contact); ?>
								</span>
							</li>
							<li>
								<?php if($session->isLoggedIn()){ ?>
									<a id="account-link" href="<?php echo PUBLIC_FOLDER."jamruch_admin/";?>">
										<i class="icon-info-blocks material-icons">account_circle</i>
									</a>
								<?php } ?>
							</li>
						</ul>
						<div class="clr"></div>
					</div>
				</div>
				<!-- info -->

			</div>
		</div>
	</header>
		
	<!-- start header -->
	<header>
        <div class="navbar navbar-default navbar-static-top">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="<?php echo PUBLIC_FOLDER; ?>">
						<img id="navbar-logo" src="<?php echo PUBLIC_FOLDER.htmlentities(getImgs($logoImg->id, "img/logo/", "thumbnail"));?>" alt="<?php echo htmlentities($logoImg->filename); ?>">
						<?php echo ($site->website_name); ?>
					</a>
                </div>
                <div class="navbar-collapse collapse ">
                    <ul class="nav navbar-nav">
                        <li class="HillSide"><a class="waves-effect waves-dark" href="<?php echo PUBLIC_FOLDER; ?>">Home</a></li> 
						 <li class="dropdown">
                        <a href="<?php echo PUBLIC_FOLDER."about"; ?>" data-toggle="dropdown" class="dropdown-toggle waves-effect waves-dark">About Us <b class="caret"></b></a>
                        <ul class="dropdown-menu">
                            <li>
                            	<a class="waves-effect waves-dark" href="<?php echo PUBLIC_FOLDER."about"; ?>">Company</a>
                            </li>
                            <li><a class="waves-effect waves-dark" href="<?php echo PUBLIC_FOLDER; ?>#our_team">Our Team</a></li>
                        </ul>
                    </li> 
						<li><a class="waves-effect waves-dark" href="<?php echo PUBLIC_FOLDER."projects"; ?>">Projects</a></li>
                        <li><a class="waves-effect waves-dark" href="<?php echo PUBLIC_FOLDER."contact"; ?>">Contact US</a></li>
                    </ul>
                </div>
            </div>
        </div>
	</header>
	<!-- end header -->
<?php if(isset($message) && !empty($message)){ ?>
<div class="alert alert-info alert-dismissible text-center" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<span id="msg-notification">
			<?php echo htmlentities($message); ?>
		</span>
</div>
<?php } ?>