<?php
require_once "../includes/init.php";
require_once "layout/header.php";

if(!isset($_GET['id']) || !ctype_digit($_GET['id']) || $_GET['id'] == 0){ redirect(PUBLIC_FOLDER); }

$post = Post::findById($_GET['id']);

if(!is_object($post)){ redirect(PUBLIC_FOLDER); }

$page = !empty($_GET['id']) ? (int)$_GET['id'] : 1;
$perPage = 1;
$totalCount = Post::countAll(); 

$pagination = new Pagination($totalCount, $perPage, $page);

$sql = "SELECT * FROM posts ORDER BY id DESC LIMIT {$perPage} OFFSET {$pagination->offset()}";
$posts = Project::findBySQL($sql);

?>
<div class="container">
	<div class="post-container">
		<h3><span class="color"><?php echo htmlentities(strtoupper($post->title)); ?></span></h3>
		<div id="post-body">
			<?php echo strip_tags($post->body, tagsAllowed()); ?>
		</div>
		<div arial-label="Page navigation post" id="pagination">
			<?php if($pagination->totalPages() > 1){ ?>
				<ul class="pagination">
					<?php if($pagination->hasPreviousPage()){?>
						<li class="page-item">
							<a class="page-link" href="<?php echo PUBLIC_FOLDER."post/".$pagination->previousPage(); ?>">
								&laquo; Previous
							</a>
						</li>
					<?php } ?>
					<?php for($i = 1; $i <= $pagination->totalPages(); $i++){?>
						<?php if($i == $page){?>
							<li class="page-item disabled">
								<a class="page-link" href="#" tabindex="-1"><?php echo $i; ?></a>
							</li>
						<?php } else {?>
							<li class="page-item">
								<a class="page-link" href="<?php echo PUBLIC_FOLDER."post/".$i?>">
									<?php echo $i; ?>
								</a>
							</li>
						<?php } ?>
					<?php } ?>
					<?php if($pagination->hasNextPage()){?>
						<li class="page-item">
							<a class="page-link" href="<?php echo PUBLIC_FOLDER."post/".$pagination->nextPage(); ?>">
								Next &raquo;
							</a>
						</li>
					<?php } ?>
				</ul>
			<?php } ?>
		</div>
	</div>
</div>
<?php require_once "layout/footer.php"; ?>