<?php
require_once "../includes/init.php";
require_once "layout/header.php";
$amenities = Amenity::findAll();

$page = !empty($_GET['page']) ? (int)$_GET['page'] : 1;
$perPage = 3;
$totalCount = Project::countAll(); 

$pagination = new Pagination($totalCount, $perPage, $page);

$sql = "SELECT * FROM projects ORDER BY id DESC LIMIT {$perPage} OFFSET {$pagination->offset()}";
$projects = Project::findBySQL($sql);
?>
<section id="content">
	<div class="container content">		
    <!-- Service Blcoks -->
		<div class="row"> 
			<div class="col-md-12">
				<div class="about-logo">
					<h3><span class="color">Our Projects</span></h3>
					<p><?php echo strip_tags($site->featured_projects_intro, tagsAllowed()); ?></p>
				</div>  
			</div>
		</div>
		<?php if(!empty($projects)){?>		 
		<div class="row service-v1 margin-bottom-40">
			<?php 
				foreach($projects as $project){
					$sql = "SELECT * FROM images WHERE project_id = :pid AND order_img = :order LIMIT 1";
					$img = Images::findBySQL($sql, ["pid" => $project->id, "order" => 1]);
					$img = array_shift($img);
			?>
		            <div class="col-md-4 md-margin-bottom-40">
						<div class="card small">
		                    <div class="card-image">
		                         <img class="img-responsive" src="<?php echo PUBLIC_FOLDER.htmlentities(getImgs($img->id, 'img/projects/', 'min')); ?>" alt="<?php echo htmlentities($img->filename); ?>">   
		                    </div>
		                    <div class="card-content"> 
		                        <p>
		                            <span class="price"><?php echo htmlentities(number_format($project->price, 2)); ?> ksh</span>
									<h4><?php echo htmlentities($project->name); ?></h4>
									<h5><?php echo htmlentities($project->location); ?></h5>
									<a href="<?php echo PUBLIC_FOLDER."project/".$project->id; ?>" class="btn btn-details">Details</a>
		                        </p>
		                    </div>
		                </div>        
		            </div>
		    <?php } ?>
        </div> 
        <div arial-label="Page navigation projects" id="pagination">
			<?php if($pagination->totalPages() > 1){ ?>
				<ul class="pagination">
					<?php if($pagination->hasPreviousPage()){?>
						<li class="page-item">
							<a class="page-link" href="<?php echo PUBLIC_FOLDER."projects/".$pagination->previousPage(); ?>">
								&laquo; Previous
							</a>
						</li>
					<?php } ?>
					<?php for($i = 1; $i <= $pagination->totalPages(); $i++){?>
						<?php if($i == $page){?>
							<li class="page-item disabled">
								<a class="page-link" href="#" tabindex="-1"><?php echo $i; ?></a>
							</li>
						<?php } else {?>
							<li class="page-item">
								<a class="page-link" href="<?php echo PUBLIC_FOLDER."projects/".$i?>">
									<?php echo $i; ?>
								</a>
							</li>
						<?php } ?>
					<?php } ?>
					<?php if($pagination->hasNextPage()){?>
						<li class="page-item">
							<a class="page-link" href="<?php echo PUBLIC_FOLDER."projects/".$pagination->nextPage(); ?>">
								Next &raquo;
							</a>
						</li>
					<?php } ?>
				</ul>
			<?php } ?>
		</div>
    	<?php } else {?>
    		<div>No Projects Found.</div>
    	<?php } ?>
		<div class="row">
				<div class="col-md-12">
					<div class="aligncenter">
						<h2 class="aligncenter">Amenities</h2>
						<?php echo strip_tags($site->amenities_intro, tagsAllowed()); ?>
					</div>
					<br/>
				</div>
			</div>
			<?php if(!empty($amenities)){ $amenitiesLen = count($amenities); ?>
				<?php if($amenitiesLen < 3){?>
					<div class="row">
						<?php foreach($amenities as $amenity){?>
							<div class="col-sm-4 info-blocks"> 
								<?php echo strip_tags($amenity->icon, "<i>"); ?>
						        <div class="info-blocks-in">
						            <h3><?php echo htmlentities($amenity->name); ?></h3>
						            <p><?php echo htmlentities($amenity->description); ?></p>
						        </div>
						    </div>
						<?php } ?>
					</div>
				<?php } else if($amenitiesLen % 3 === 0){ ?>
					<?php foreach($amenities as $key => $amenity){?>
						<?php if(($key + 1) % 3  === 0){?>
							<div class="row">
							    <div class="col-sm-4 info-blocks"> 
									<?php echo strip_tags($amenities[(($key + 1)- 3)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1)-3)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)- 3)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 2)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 2)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)-2)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 1)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 1)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1) - 1)]->description); ?></p>
							        </div>
							    </div>
							</div>
						<?php } ?>
					<?php } ?>
				<?php } else { $amenitiesRem = $amenitiesLen % 3; $counted = $amenitiesLen - $amenitiesRem; ?>
					<?php foreach($amenities as $key => $amenity){?>
						<?php if(($key + 1) % 3  === 0){?>
							<div class="row">
							    <div class="col-sm-4 info-blocks"> 
									<?php echo strip_tags($amenities[(($key + 1)- 3)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1)-3)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)- 3)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 2)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 2)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1)-2)]->description); ?></p>
							        </div>
							    </div>
							    <div class="col-sm-4 info-blocks">
							        <?php echo strip_tags($amenities[(($key + 1) - 1)]->icon, "<i>"); ?>
							        <div class="info-blocks-in">
							            <h3><?php echo htmlentities($amenities[(($key + 1) - 1)]->name); ?></h3>
							            <p><?php echo htmlentities($amenities[(($key + 1) - 1)]->description); ?></p>
							        </div>
							    </div>
							</div>
						<?php } ?>
					<?php } ?>
					<div class="row">
					<?php for($i = $counted; $i < $amenitiesLen; $i++){ ?>
						<div class="col-sm-4 info-blocks"> 
							<?php echo strip_tags($amenities[$i]->icon, "<i>"); ?>
					        <div class="info-blocks-in">
					            <h3><?php echo htmlentities($amenities[$i]->name); ?></h3>
					            <p><?php echo htmlentities($amenities[$i]->description); ?></p>
					        </div>
					    </div>
					<?php } ?>
					</div>
				<?php } ?>
			<?php }?>
</section>

<?php require_once "layout/footer.php"; ?>