<?php
require_once "../includes/init.php";
if($session->isLoggedIn()){ $session->logOut(); }

if(!isset($_GET['email']) || !isset($_GET['token'])){ redirect(PUBLIC_FOLDER);}

$fields = array(
	'email' => array(
		'name' => 'email',
		'required' => true,
		'validate' => 'email'
	),
	'token' => array(
		'name' => 'token',
		'required' => true,
		'min' => 95,
		'max' => 95
	)
);

$validate = new Validate();
$validate->check($_GET, $fields);
$errors = $validate->errors();
if(!empty($errors)){ redirect(PUBLIC_FOLDER); }

$sql = "SELECT * FROM users WHERE email = :email AND confirm_token = :token AND active = '1' LIMIT 1";
$user = User::findBySQL($sql, ['email' => $_GET['email'], 'token' => $_GET['token']]);
if(count($user) == 1){
	$user = array_shift($user);
	$dateModified = strtotime($user->date_modified);
	if(!(($dateModified + (60*60)) > time())){
		$token = $hash->salt(95);
		$body = "Hi ".htmlspecialchars($user->first_name).",<br><br>";
	    $body .= "<p>click the button below to confirm you want to set a new password.</p><br>";
	    $body .= "<a href='https://jamruchrealestates.co.ke/reset/".htmlspecialchars($user->email)."/".$token."'";
	    $body .=  "style='background-color:#00FF00;font-size:14px;color:#ffffff;text-decoration:none;border-radius:4px;padding:16px 22px;border:1px solid #006666;display:inline-block;max-width:348px'";
	    $body .= "'>Confirm</a>";
	    $user->confirm_token = $token;
	    $user->date_modified = strftime("%Y-%m-%d %H:%M:%S", time());
	    $user->save();
	    $outputMessage ="";
		if(tryToSendEmail($user->email, $user->first_name, $body)){
           $outputMessage .= "Check your email to reset your password. ";
           $outputMessage .= "If you don't see it in the inbox check it in the spam folder.";
        }else{
           $outputMessage .= "A problem occurred, contact for help.";
        }
		$session->message($outputMessage);
		redirect(PUBLIC_FOLDER);
	}
	
}else{
	$session->message("Sorry, try again!");
	redirect(PUBLIC_FOLDER);
}

?>
<?php require_once "layout/header.php"; ?>
<div id="reset-pass-main" class="container">
	<form id="reset-pass-form" action="change" method="post">
		<div class="msg-display"></div>
		<div class="form-group">
			<div id="reset-pass-msg" class="error-msg"></div>
			<label for="reset-pass" id="reset-pass-label" class="form-control-label">new password</label>
			<input type="password" id="reset-pass" value="" placeholder="new password">
		</div>
		<div class="form-group">
			<div id="confirm-pass-msg" class="error-msg"></div>
			<label for="confirm-pass" id="confirm-pass-label" class="form-control-label">confirm password</label>
			<input type="password" id="confirm-pass"  value="" placeholder="confirm password">
		</div>
		<div class="form-group">
			<input type="hidden" id="reset-pass-token" name="reset-pass-token" value="<?php echo $session->createToken('resetPass', 'resetPassTimer'); ?>">
			<input type="hidden" id="reset-pass-email" name="reset-pass-email" value="<?php echo htmlspecialchars($_GET['email']); ?>">
			<input type="hidden" id="reset-pass-hash" name="reset-pass-token" value="<?php echo htmlspecialchars($_GET['token']); ?>">
			<input type="submit" value="UPDATE" id="confirm-pass-btn" class="btn btn-primary">
		</div>
	</form>
</div>
<?php require_once "layout/footer.php"; ?>